function boomSim
global boomParams

boomParams.n = 4;
boomParams.M = 1.0 * ones(boomParams.n,1);
boomParams.L = 1.0 * ones(boomParams.n,1);
boomParams.Cs = 0.00627552;
boomParams.Cv = 0.00628319;

% v = [xL,yL,th1,th2,...,thn, DxL,DyL,Dth1,Dth2,...,Dthn]
v0 = [0, 0, -pi/4, pi/3, -pi/3, pi/4, ...
      0, 1.0, 0.0, 0.0, 0.0, 0.0];
  
[t, Y] = ode45(@boomODEs, [0 2], v0);

figure;
axis equal;
hold on;
set(gca,'XLim',[-1 4]);
for a=1:size(Y, 1)
    drawFrame(Y(a,:),t(a));
    pause(0.1);
    cla;
end

% =============================================

function drawFrame(y, t)
global boomParams

xs(1) = y(1);
ys(1) = y(2);
for a=3:(boomParams.n+2)
    pNext = [xs(end),ys(end)] + boomParams.L(a-2)*[cos(y(a)),sin(y(a))];
    xs(end+1) = pNext(1);
    ys(end+1) = pNext(2);
end

f = ForceProfile(t);

plot(xs, ys, 'b-');
plot(xs(1), ys(1), 'ro');
plot(xs(end), ys(end), 'ro');
plot([xs(1),xs(1)+0.1*f(2)], [ys(1),ys(1)+0.1*f(3)], 'r-', 'LineWidth',3);
plot([xs(end),xs(end)+0.1*f(5)], [ys(end),ys(end)+0.1*f(6)], 'r-', 'LineWidth',3);
