function DragVsSep
global boomParams
global sepVals dragVals

boomParams.n = 10;
boomParams.M = (0.8/boomParams.n) * ones(boomParams.n,1);
boomParams.L = (60*0.3048/boomParams.n) * ones(boomParams.n,1);
boomParams.Cs = 0.05; %0.00627552;
boomParams.Cv = 0.05; %0.00628319;

dragVals = [];
sepVals = [];
for d = 0.1:0.01:(0.9*sum(boomParams.L))
    sepVals(end+1) = d;
    dragVals(end+1) = boomSim2_quasistatic(d, false);
end

figure;
xlim([0 1]);
xlabel('D (separation) / L (rope length)');
ylabel('Force applied by each boat / L (rope length)');
hold on;
plot(sepVals/sum(boomParams.L), dragVals/sum(boomParams.L), 'r.-');

%{
boomParams.Cv = 0.0;
dragVals = [];
sepVals = [];
for d = 0.1:0.01:(0.9*sum(boomParams.L))
    sepVals(end+1) = d;
    dragVals(end+1) = boomSim2_quasistatic(d, false);
end
plot(sepVals/sum(boomParams.L), dragVals/sum(boomParams.L), 'b.-');

legend('c_S=c_V=0.05', 'c_S=0.05, c_V=0');
%}
