function plotTotalDrag
NetDrag(0.06, 1, 20, 5),
v_vec = 1:10:100;
D_vec = 1:1:19;
[vv, DD] = meshgrid(v_vec, D_vec);
for v_count = 1:length(v_vec)
    for D_count = 1:length(D_vec)
        disp([v_count, D_count]);
        TT(D_count, v_count) = NetDrag(0.06, v_vec(v_count), 20, D_vec(D_count));
    end
end

figure;
surf(vv, DD, TT);


function tnet = NetDrag(c, v, L, D)
global params
params.c = c;
params.v = v;
params.L = L;
params.D = D;
options = optimset('MaxFunEvals', 10000, 'MaxIter', 10000, 'Display','off');
[tx, txerr] = fsolve(@GetThisXDragErr, 0.01, options);
tnet = sqrt(tx^2 + (L*c*v)^2);

function er = GetThisXDragErr(tx)
global params
c = params.c;
v = params.v;
L = params.L;
D = params.D;
er = (c*v*L)/(2*tx) - sinh((c*v*D)/(2*tx));
