(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    127492,       2593]*)
(*NotebookOutlinePosition[    128200,       2617]*)
(*  CellTagsIndexPosition[    128156,       2613]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[{
    \(\(Tx[c_, v_, l_, d_] := 
        FindRoot[\(c\ v\ l\)\/\(2\ Tx\) - 
              Sinh[\(c\ v\ d\)\/\(2\ Tx\)] \[Equal] 0, {Tx, 
            0.01}];\)\), "\[IndentingNewLine]", 
    \(\(Ty[c_, v_, l_, d_] := l\ c\ v;\)\), "\[IndentingNewLine]", 
    \(\(tension[c_, v_, l_, 
          d_]\  := \ \@\(\((Tx /. Tx[c, v, l, d])\)\^2 + Ty[c, v, l, d]\^2\);\
\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Plot3D[tension[0.01, v, 20, d], {v, 0, 100}, {d, 1, 19}]\)], "Input"],

Cell[BoxData[
    RowBox[{\(FindRoot::"cvmit"\), \(\(:\)\(\ \)\), "\<\"Failed to converge \
to the requested accuracy or precision within \\!\\(100\\) iterations. \\!\\(\
\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", \
ButtonFrame->None, ButtonData:>\\\"FindRoot::cvmit\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(FindRoot::"cvmit"\), \(\(:\)\(\ \)\), "\<\"Failed to converge \
to the requested accuracy or precision within \\!\\(100\\) iterations. \\!\\(\
\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", \
ButtonFrame->None, ButtonData:>\\\"FindRoot::cvmit\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(FindRoot::"cvmit"\), \(\(:\)\(\ \)\), "\<\"Failed to converge \
to the requested accuracy or precision within \\!\\(100\\) iterations. \\!\\(\
\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", \
ButtonFrame->None, ButtonData:>\\\"FindRoot::cvmit\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(FindRoot :: \\\"cvmit\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .81114 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-2.62919e-017 1.04977 -0.0679587 1.04977 [
[.02757 .24618 -6 -8.70276 ]
[.02757 .24618 0 .29724 ]
[.14598 .19958 -11.924 -9 ]
[.14598 .19958 .07603 0 ]
[.27013 .15073 -11.4236 -9 ]
[.27013 .15073 .57641 0 ]
[.40046 .09948 -10.9232 -9 ]
[.40046 .09948 1.07679 0 ]
[.53743 .04564 -10.4228 -9 ]
[.53743 .04564 1.57717 0 ]
[.68156 -0.01098 -14.8837 -9 ]
[.68156 -0.01098 3.11632 0 ]
[.77446 .10777 0 -6.15144 ]
[.77446 .10777 6 2.84856 ]
[.8565 .23339 0 -6.03127 ]
[.8565 .23339 12 2.96873 ]
[.92931 .34489 0 -5.9274 ]
[.92931 .34489 12 3.0726 ]
[.02411 .26511 -6 -2.74232 ]
[.02411 .26511 0 6.25768 ]
[.01568 .31795 -12 -2.78699 ]
[.01568 .31795 0 6.21301 ]
[.00696 .37264 -18 -2.83339 ]
[.00696 .37264 0 6.16661 ]
[-0.00208 .42927 -18 -2.88161 ]
[-0.00208 .42927 0 6.11839 ]
[-0.01144 .48795 -18 -2.93176 ]
[-0.01144 .48795 0 6.06824 ]
[ 0 0 0 0 ]
[ 1 .81114 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(0)] .02757 .24618 1 .93395 Mshowa
.1552 .20892 m
.15981 .21359 L
s
[(20)] .14598 .19958 .98733 1 Mshowa
.27893 .16047 m
.28333 .16533 L
s
[(40)] .27013 .15073 .90393 1 Mshowa
.40878 .10962 m
.41294 .11469 L
s
[(60)] .40046 .09948 .82054 1 Mshowa
.54521 .0562 m
.54911 .06148 L
s
[(80)] .53743 .04564 .73714 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(100)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.18558 .19702 m
.18832 .19985 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.3108 .14799 m
.31341 .15094 L
s
.34306 .13535 m
.34564 .13834 L
s
.37572 .12257 m
.37826 .12558 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.51046 .06981 m
.51284 .07294 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.76215 .11229 m
.75599 .11455 L
s
[(5)] .77446 .10777 -1 .36699 Mshowa
.84407 .23761 m
.83786 .23973 L
s
[(10)] .8565 .23339 -1 .34028 Mshowa
.9168 .34886 m
.91054 .35084 L
s
[(15)] .92931 .34489 -1 .3172 Mshowa
.125 Mabswid
.77935 .13861 m
.77565 .13995 L
s
.79613 .16428 m
.79242 .1656 L
s
.8125 .18932 m
.80879 .19062 L
s
.82848 .21376 m
.82476 .21504 L
s
.8593 .26091 m
.85557 .26216 L
s
.87418 .28366 m
.87044 .2849 L
s
.88871 .30589 m
.88497 .30711 L
s
.90292 .32762 m
.89917 .32882 L
s
.7445 .0853 m
.74081 .08667 L
s
.72639 .0576 m
.72271 .059 L
s
.70781 .02918 m
.70414 .0306 L
s
.93037 .36962 m
.92662 .3708 L
s
.94365 .38993 m
.93989 .39109 L
s
.95664 .4098 m
.95287 .41095 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
.03634 .26033 m
.04245 .25795 L
s
[(0)] .02411 .26511 1 -0.3906 Mshowa
.02795 .31328 m
.03408 .31095 L
s
[(50)] .01568 .31795 1 -0.38067 Mshowa
.01926 .36808 m
.02541 .3658 L
s
[(100)] .00696 .37264 1 -0.37036 Mshowa
.01027 .42483 m
.01644 .42261 L
s
[(150)] -0.00208 .42927 1 -0.35964 Mshowa
.00095 .48363 m
.00715 .48147 L
s
[(200)] -0.01144 .48795 1 -0.3485 Mshowa
.125 Mabswid
.03468 .27078 m
.03835 .26935 L
s
.03301 .2813 m
.03669 .27988 L
s
.03134 .29189 m
.03501 .29047 L
s
.02965 .30255 m
.03332 .30114 L
s
.02623 .32409 m
.02991 .3227 L
s
.02451 .33497 m
.02819 .33359 L
s
.02277 .34593 m
.02646 .34455 L
s
.02102 .35697 m
.02471 .35559 L
s
.01749 .37927 m
.02118 .37791 L
s
.0157 .39054 m
.0194 .38919 L
s
.0139 .40189 m
.0176 .40054 L
s
.01209 .41332 m
.01579 .41198 L
s
.00843 .43642 m
.01214 .4351 L
s
.00658 .4481 m
.01029 .44678 L
s
.00472 .45986 m
.00843 .45855 L
s
.00284 .4717 m
.00656 .4704 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
.40529 .59895 m
.03716 .25514 L
s
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.40529 .59895 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
0 0 m
1 0 L
1 .81114 L
0 .81114 L
closepath
clip
newpath
.5 Mabswid
.462 .671 .954 r
.39236 .59184 .40512 .60372 .42628 .60528 .41359 .59333 Metetra
.462 .671 .954 r
.41359 .59333 .42628 .60528 .4477 .60687 .43509 .59486 Metetra
.462 .671 .954 r
.43509 .59486 .4477 .60687 .4694 .60848 .45687 .5964 Metetra
.462 .671 .954 r
.45687 .5964 .4694 .60848 .49138 .61011 .47894 .59797 Metetra
.462 .671 .954 r
.47894 .59797 .49138 .61011 .51365 .61177 .50129 .59956 Metetra
.462 .671 .954 r
.50129 .59956 .51365 .61177 .5362 .61344 .52394 .60116 Metetra
.462 .671 .954 r
.52394 .60116 .5362 .61344 .55905 .61514 .54688 .60279 Metetra
.462 .671 .954 r
.54688 .60279 .55905 .61514 .58221 .61685 .57013 .60444 Metetra
.462 .671 .954 r
.57013 .60444 .58221 .61685 .60567 .6186 .5937 .60611 Metetra
.462 .671 .954 r
.5937 .60611 .60567 .6186 .62944 .62036 .61758 .6078 Metetra
.462 .671 .954 r
.61758 .6078 .62944 .62036 .65354 .62215 .64179 .60952 Metetra
.462 .671 .954 r
.64179 .60952 .65354 .62215 .67796 .62396 .66632 .61126 Metetra
.462 .671 .954 r
.66632 .61126 .67796 .62396 .70272 .6258 .6912 .61303 Metetra
.462 .671 .954 r
.6912 .61303 .70272 .6258 .72782 .62766 .71642 .61481 Metetra
.462 .671 .954 r
.71642 .61481 .72782 .62766 .75327 .62955 .742 .61663 Metetra
.462 .671 .954 r
.742 .61663 .75327 .62955 .77907 .63146 .76793 .61847 Metetra
.462 .671 .954 r
.76793 .61847 .77907 .63146 .80523 .63341 .79423 .62033 Metetra
.462 .671 .954 r
.79423 .62033 .80523 .63341 .83177 .63537 .82091 .62223 Metetra
.462 .671 .954 r
.82091 .62223 .83177 .63537 .85868 .63737 .84797 .62415 Metetra
.462 .671 .954 r
.84797 .62415 .85868 .63737 .88598 .6394 .87542 .62609 Metetra
.462 .671 .954 r
.87542 .62609 .88598 .6394 .91368 .64145 .90328 .62807 Metetra
.462 .671 .954 r
.90328 .62807 .91368 .64145 .94178 .64354 .93154 .63007 Metetra
.462 .671 .954 r
.93154 .63007 .94178 .64354 .97029 .64565 .96022 .63211 Metetra
.462 .671 .954 r
.96022 .63211 .97029 .64565 .99922 .6478 .98933 .63417 Metetra
.462 .671 .954 r
.3794 .57978 .39236 .59184 .41359 .59333 .40071 .58121 Metetra
.462 .671 .954 r
.40071 .58121 .41359 .59333 .43509 .59486 .42229 .58267 Metetra
.462 .671 .954 r
.42229 .58267 .43509 .59486 .45687 .5964 .44416 .58414 Metetra
.462 .671 .954 r
.44416 .58414 .45687 .5964 .47894 .59797 .46631 .58564 Metetra
.462 .671 .954 r
.46631 .58564 .47894 .59797 .50129 .59956 .48875 .58716 Metetra
.462 .671 .954 r
.48875 .58716 .50129 .59956 .52394 .60116 .51148 .58869 Metetra
.462 .671 .954 r
.51148 .58869 .52394 .60116 .54688 .60279 .53452 .59025 Metetra
.462 .671 .954 r
.53452 .59025 .54688 .60279 .57013 .60444 .55787 .59183 Metetra
.462 .671 .954 r
.55787 .59183 .57013 .60444 .5937 .60611 .58154 .59343 Metetra
.462 .671 .954 r
.58154 .59343 .5937 .60611 .61758 .6078 .60553 .59505 Metetra
.462 .671 .954 r
.60553 .59505 .61758 .6078 .64179 .60952 .62985 .59669 Metetra
.462 .671 .954 r
.62985 .59669 .64179 .60952 .66632 .61126 .6545 .59836 Metetra
.462 .671 .954 r
.6545 .59836 .66632 .61126 .6912 .61303 .67949 .60005 Metetra
.462 .671 .954 r
.67949 .60005 .6912 .61303 .71642 .61481 .70484 .60176 Metetra
.462 .671 .954 r
.70484 .60176 .71642 .61481 .742 .61663 .73054 .6035 Metetra
.462 .671 .954 r
.73054 .6035 .742 .61663 .76793 .61847 .75661 .60526 Metetra
.462 .671 .954 r
.75661 .60526 .76793 .61847 .79423 .62033 .78305 .60705 Metetra
.462 .671 .954 r
.78305 .60705 .79423 .62033 .82091 .62223 .80987 .60886 Metetra
.462 .671 .954 r
.80987 .60886 .82091 .62223 .84797 .62415 .83708 .6107 Metetra
.462 .671 .954 r
.83708 .6107 .84797 .62415 .87542 .62609 .86468 .61256 Metetra
.462 .671 .954 r
.86468 .61256 .87542 .62609 .90328 .62807 .8927 .61446 Metetra
.462 .671 .954 r
.8927 .61446 .90328 .62807 .93154 .63007 .92113 .61638 Metetra
.462 .671 .954 r
.92113 .61638 .93154 .63007 .96022 .63211 .94998 .61833 Metetra
.462 .671 .954 r
.94998 .61833 .96022 .63211 .98933 .63417 .97927 .62031 Metetra
.462 .671 .954 r
.36626 .56754 .3794 .57978 .40071 .58121 .38764 .5689 Metetra
.462 .671 .954 r
.38764 .5689 .40071 .58121 .42229 .58267 .4093 .57029 Metetra
.462 .671 .954 r
.4093 .57029 .42229 .58267 .44416 .58414 .43125 .5717 Metetra
.462 .671 .954 r
.43125 .5717 .44416 .58414 .46631 .58564 .45348 .57312 Metetra
.462 .671 .954 r
.45348 .57312 .46631 .58564 .48875 .58716 .47601 .57457 Metetra
.462 .671 .954 r
.47601 .57457 .48875 .58716 .51148 .58869 .49884 .57603 Metetra
.462 .671 .954 r
.49884 .57603 .51148 .58869 .53452 .59025 .52197 .57752 Metetra
.462 .671 .954 r
.52197 .57752 .53452 .59025 .55787 .59183 .54542 .57902 Metetra
.462 .671 .954 r
.54542 .57902 .55787 .59183 .58154 .59343 .56919 .58054 Metetra
.462 .671 .954 r
.56919 .58054 .58154 .59343 .60553 .59505 .59329 .58209 Metetra
.462 .671 .954 r
.59329 .58209 .60553 .59505 .62985 .59669 .61771 .58366 Metetra
.462 .671 .954 r
.61771 .58366 .62985 .59669 .6545 .59836 .64248 .58525 Metetra
.462 .671 .954 r
.64248 .58525 .6545 .59836 .67949 .60005 .6676 .58686 Metetra
.462 .671 .954 r
.6676 .58686 .67949 .60005 .70484 .60176 .69307 .58849 Metetra
.462 .671 .954 r
.69307 .58849 .70484 .60176 .73054 .6035 .7189 .59015 Metetra
.462 .671 .954 r
.7189 .59015 .73054 .6035 .75661 .60526 .7451 .59183 Metetra
.462 .671 .954 r
.7451 .59183 .75661 .60526 .78305 .60705 .77168 .59353 Metetra
.462 .671 .954 r
.77168 .59353 .78305 .60705 .80987 .60886 .79864 .59526 Metetra
.462 .671 .954 r
.79864 .59526 .80987 .60886 .83708 .6107 .826 .59702 Metetra
.462 .671 .954 r
.826 .59702 .83708 .6107 .86468 .61256 .85376 .5988 Metetra
.462 .671 .954 r
.85376 .5988 .86468 .61256 .8927 .61446 .88194 .60061 Metetra
.462 .671 .954 r
.88194 .60061 .8927 .61446 .92113 .61638 .91053 .60244 Metetra
.462 .671 .954 r
.91053 .60244 .92113 .61638 .94998 .61833 .93956 .6043 Metetra
.462 .671 .954 r
.93956 .6043 .94998 .61833 .97927 .62031 .96902 .60619 Metetra
.462 .671 .954 r
.35291 .55511 .36626 .56754 .38764 .5689 .37437 .5564 Metetra
.462 .671 .954 r
.37437 .5564 .38764 .5689 .4093 .57029 .39611 .55772 Metetra
.462 .671 .954 r
.39611 .55772 .4093 .57029 .43125 .5717 .41814 .55906 Metetra
.462 .671 .954 r
.41814 .55906 .43125 .5717 .45348 .57312 .44045 .56041 Metetra
.462 .671 .954 r
.44045 .56041 .45348 .57312 .47601 .57457 .46307 .56178 Metetra
.462 .671 .954 r
.46307 .56178 .47601 .57457 .49884 .57603 .48599 .56317 Metetra
.462 .671 .954 r
.48599 .56317 .49884 .57603 .52197 .57752 .50922 .56458 Metetra
.462 .671 .954 r
.50922 .56458 .52197 .57752 .54542 .57902 .53277 .56601 Metetra
.462 .671 .954 r
.53277 .56601 .54542 .57902 .56919 .58054 .55664 .56745 Metetra
.462 .671 .954 r
.55664 .56745 .56919 .58054 .59329 .58209 .58085 .56892 Metetra
.462 .671 .954 r
.58085 .56892 .59329 .58209 .61771 .58366 .60539 .57041 Metetra
.462 .671 .954 r
.60539 .57041 .61771 .58366 .64248 .58525 .63027 .57192 Metetra
.462 .671 .954 r
.63027 .57192 .64248 .58525 .6676 .58686 .6555 .57345 Metetra
.462 .671 .954 r
.6555 .57345 .6676 .58686 .69307 .58849 .6811 .575 Metetra
.462 .671 .954 r
.6811 .575 .69307 .58849 .7189 .59015 .70706 .57658 Metetra
.462 .671 .954 r
.70706 .57658 .7189 .59015 .7451 .59183 .7334 .57817 Metetra
.462 .671 .954 r
.7334 .57817 .7451 .59183 .77168 .59353 .76011 .57979 Metetra
.462 .671 .954 r
.76011 .57979 .77168 .59353 .79864 .59526 .78722 .58144 Metetra
.462 .671 .954 r
.78722 .58144 .79864 .59526 .826 .59702 .81473 .5831 Metetra
.462 .671 .954 r
.81473 .5831 .826 .59702 .85376 .5988 .84265 .5848 Metetra
.462 .671 .954 r
.84265 .5848 .85376 .5988 .88194 .60061 .87099 .58652 Metetra
.462 .671 .954 r
.87099 .58652 .88194 .60061 .91053 .60244 .89975 .58826 Metetra
.462 .671 .954 r
.89975 .58826 .91053 .60244 .93956 .6043 .92895 .59003 Metetra
.462 .671 .954 r
.92895 .59003 .93956 .6043 .96902 .60619 .9586 .59183 Metetra
.462 .671 .954 r
.33937 .5425 .35291 .55511 .37437 .5564 .3609 .54372 Metetra
.462 .671 .954 r
.3609 .54372 .37437 .5564 .39611 .55772 .38272 .54496 Metetra
.462 .671 .954 r
.38272 .54496 .39611 .55772 .41814 .55906 .40482 .54622 Metetra
.462 .671 .954 r
.40482 .54622 .41814 .55906 .44045 .56041 .42723 .5475 Metetra
.462 .671 .954 r
.42723 .5475 .44045 .56041 .46307 .56178 .44993 .54879 Metetra
.462 .671 .954 r
.44993 .54879 .46307 .56178 .48599 .56317 .47294 .55011 Metetra
.462 .671 .954 r
.47294 .55011 .48599 .56317 .50922 .56458 .49627 .55144 Metetra
.462 .671 .954 r
.49627 .55144 .50922 .56458 .53277 .56601 .51992 .55279 Metetra
.462 .671 .954 r
.51992 .55279 .53277 .56601 .55664 .56745 .54389 .55415 Metetra
.462 .671 .954 r
.54389 .55415 .55664 .56745 .58085 .56892 .5682 .55554 Metetra
.462 .671 .954 r
.5682 .55554 .58085 .56892 .60539 .57041 .59286 .55695 Metetra
.462 .671 .954 r
.59286 .55695 .60539 .57041 .63027 .57192 .61786 .55837 Metetra
.462 .671 .954 r
.61786 .55837 .63027 .57192 .6555 .57345 .64321 .55982 Metetra
.462 .671 .954 r
.64321 .55982 .6555 .57345 .6811 .575 .66893 .56129 Metetra
.462 .671 .954 r
.66893 .56129 .6811 .575 .70706 .57658 .69502 .56278 Metetra
.462 .671 .954 r
.69502 .56278 .70706 .57658 .7334 .57817 .72149 .56429 Metetra
.462 .671 .954 r
.72149 .56429 .7334 .57817 .76011 .57979 .74835 .56582 Metetra
.462 .671 .954 r
.74835 .56582 .76011 .57979 .78722 .58144 .77561 .56737 Metetra
.462 .671 .954 r
.77561 .56737 .78722 .58144 .81473 .5831 .80327 .56895 Metetra
.462 .671 .954 r
.80327 .56895 .81473 .5831 .84265 .5848 .83135 .57055 Metetra
.462 .671 .954 r
.83135 .57055 .84265 .5848 .87099 .58652 .85985 .57218 Metetra
.462 .671 .954 r
.85985 .57218 .87099 .58652 .89975 .58826 .88878 .57383 Metetra
.462 .671 .954 r
.88878 .57383 .89975 .58826 .92895 .59003 .91816 .5755 Metetra
.462 .671 .954 r
.91816 .5755 .92895 .59003 .9586 .59183 .94799 .57721 Metetra
.462 .671 .954 r
.32561 .52969 .33937 .5425 .3609 .54372 .34722 .53083 Metetra
.462 .671 .954 r
.34722 .53083 .3609 .54372 .38272 .54496 .36911 .532 Metetra
.462 .671 .954 r
.36911 .532 .38272 .54496 .40482 .54622 .3913 .53319 Metetra
.462 .671 .954 r
.3913 .53319 .40482 .54622 .42723 .5475 .41379 .53439 Metetra
.462 .671 .954 r
.41379 .53439 .42723 .5475 .44993 .54879 .43658 .5356 Metetra
.462 .671 .954 r
.43658 .5356 .44993 .54879 .47294 .55011 .45969 .53684 Metetra
.462 .671 .954 r
.45969 .53684 .47294 .55011 .49627 .55144 .48311 .53809 Metetra
.462 .671 .954 r
.48311 .53809 .49627 .55144 .51992 .55279 .50686 .53935 Metetra
.462 .671 .954 r
.50686 .53935 .51992 .55279 .54389 .55415 .53094 .54064 Metetra
.462 .671 .954 r
.53094 .54064 .54389 .55415 .5682 .55554 .55536 .54194 Metetra
.462 .671 .954 r
.55536 .54194 .5682 .55554 .59286 .55695 .58012 .54326 Metetra
.462 .671 .954 r
.58012 .54326 .59286 .55695 .61786 .55837 .60524 .5446 Metetra
.462 .671 .954 r
.60524 .5446 .61786 .55837 .64321 .55982 .63071 .54596 Metetra
.462 .671 .954 r
.63071 .54596 .64321 .55982 .66893 .56129 .65656 .54734 Metetra
.462 .671 .954 r
.65656 .54734 .66893 .56129 .69502 .56278 .68278 .54874 Metetra
.462 .671 .954 r
.68278 .54874 .69502 .56278 .72149 .56429 .70939 .55016 Metetra
.462 .671 .954 r
.70939 .55016 .72149 .56429 .74835 .56582 .73639 .5516 Metetra
.462 .671 .954 r
.73639 .5516 .74835 .56582 .77561 .56737 .76379 .55306 Metetra
.462 .671 .954 r
.76379 .55306 .77561 .56737 .80327 .56895 .79161 .55455 Metetra
.462 .671 .954 r
.79161 .55455 .80327 .56895 .83135 .57055 .81984 .55606 Metetra
.462 .671 .954 r
.81984 .55606 .83135 .57055 .85985 .57218 .84851 .55759 Metetra
.462 .671 .954 r
.84851 .55759 .85985 .57218 .88878 .57383 .87761 .55914 Metetra
.462 .671 .954 r
.87761 .55914 .88878 .57383 .91816 .5755 .90717 .56072 Metetra
.462 .671 .954 r
.90717 .56072 .91816 .5755 .94799 .57721 .93718 .56232 Metetra
.462 .671 .954 r
.31165 .51669 .32561 .52969 .34722 .53083 .33333 .51775 Metetra
.462 .671 .954 r
.33333 .51775 .34722 .53083 .36911 .532 .3553 .51884 Metetra
.462 .671 .954 r
.3553 .51884 .36911 .532 .3913 .53319 .37757 .51995 Metetra
.462 .671 .954 r
.37757 .51995 .3913 .53319 .41379 .53439 .40014 .52107 Metetra
.462 .671 .954 r
.40014 .52107 .41379 .53439 .43658 .5356 .42302 .5222 Metetra
.462 .671 .954 r
.42302 .5222 .43658 .5356 .45969 .53684 .44622 .52335 Metetra
.462 .671 .954 r
.44622 .52335 .45969 .53684 .48311 .53809 .46974 .52452 Metetra
.462 .671 .954 r
.46974 .52452 .48311 .53809 .50686 .53935 .49359 .5257 Metetra
.462 .671 .954 r
.49359 .5257 .50686 .53935 .53094 .54064 .51777 .5269 Metetra
.462 .671 .954 r
.51777 .5269 .53094 .54064 .55536 .54194 .5423 .52812 Metetra
.462 .671 .954 r
.5423 .52812 .55536 .54194 .58012 .54326 .56717 .52935 Metetra
.462 .671 .954 r
.56717 .52935 .58012 .54326 .60524 .5446 .5924 .5306 Metetra
.462 .671 .954 r
.5924 .5306 .60524 .5446 .63071 .54596 .618 .53187 Metetra
.462 .671 .954 r
.618 .53187 .63071 .54596 .65656 .54734 .64398 .53316 Metetra
.462 .671 .954 r
.64398 .53316 .65656 .54734 .68278 .54874 .67033 .53447 Metetra
.462 .671 .954 r
.67033 .53447 .68278 .54874 .70939 .55016 .69707 .53579 Metetra
.462 .671 .954 r
.69707 .53579 .70939 .55016 .73639 .5516 .72422 .53714 Metetra
.462 .671 .954 r
.72422 .53714 .73639 .5516 .76379 .55306 .75177 .53851 Metetra
.462 .671 .954 r
.75177 .53851 .76379 .55306 .79161 .55455 .77974 .53989 Metetra
.462 .671 .954 r
.77974 .53989 .79161 .55455 .81984 .55606 .80813 .5413 Metetra
.462 .671 .954 r
.80813 .5413 .81984 .55606 .84851 .55759 .83696 .54273 Metetra
.462 .671 .954 r
.83696 .54273 .84851 .55759 .87761 .55914 .86624 .54418 Metetra
.462 .671 .954 r
.86624 .54418 .87761 .55914 .90717 .56072 .89598 .54566 Metetra
.462 .671 .954 r
.89598 .54566 .90717 .56072 .93718 .56232 .92618 .54716 Metetra
.462 .671 .954 r
.29746 .50348 .31165 .51669 .33333 .51775 .31922 .50447 Metetra
.462 .671 .954 r
.31922 .50447 .33333 .51775 .3553 .51884 .34127 .50547 Metetra
.462 .671 .954 r
.34127 .50547 .3553 .51884 .37757 .51995 .36362 .5065 Metetra
.462 .671 .954 r
.36362 .5065 .37757 .51995 .40014 .52107 .38628 .50753 Metetra
.462 .671 .954 r
.38628 .50753 .40014 .52107 .42302 .5222 .40925 .50858 Metetra
.462 .671 .954 r
.40925 .50858 .42302 .5222 .44622 .52335 .43253 .50965 Metetra
.462 .671 .954 r
.43253 .50965 .44622 .52335 .46974 .52452 .45615 .51073 Metetra
.462 .671 .954 r
.45615 .51073 .46974 .52452 .49359 .5257 .4801 .51182 Metetra
.462 .671 .954 r
.4801 .51182 .49359 .5257 .51777 .5269 .50438 .51294 Metetra
.462 .671 .954 r
.50438 .51294 .51777 .5269 .5423 .52812 .52902 .51406 Metetra
.462 .671 .954 r
.52902 .51406 .5423 .52812 .56717 .52935 .55401 .5152 Metetra
.462 .671 .954 r
.55401 .5152 .56717 .52935 .5924 .5306 .57936 .51636 Metetra
.462 .671 .954 r
.57936 .51636 .5924 .5306 .618 .53187 .60508 .51754 Metetra
.462 .671 .954 r
.60508 .51754 .618 .53187 .64398 .53316 .63118 .51873 Metetra
.462 .671 .954 r
.63118 .51873 .64398 .53316 .67033 .53447 .65766 .51995 Metetra
.462 .671 .954 r
.65766 .51995 .67033 .53447 .69707 .53579 .68455 .52118 Metetra
.462 .671 .954 r
.68455 .52118 .69707 .53579 .72422 .53714 .71183 .52242 Metetra
.462 .671 .954 r
.71183 .52242 .72422 .53714 .75177 .53851 .73953 .52369 Metetra
.462 .671 .954 r
.73953 .52369 .75177 .53851 .77974 .53989 .76766 .52498 Metetra
.462 .671 .954 r
.76766 .52498 .77974 .53989 .80813 .5413 .79621 .52628 Metetra
.462 .671 .954 r
.79621 .52628 .80813 .5413 .83696 .54273 .82521 .52761 Metetra
.462 .671 .954 r
.82521 .52761 .83696 .54273 .86624 .54418 .85467 .52896 Metetra
.462 .671 .954 r
.85467 .52896 .86624 .54418 .89598 .54566 .88458 .53033 Metetra
.462 .671 .954 r
.88458 .53033 .89598 .54566 .92618 .54716 .91497 .53172 Metetra
.462 .671 .954 r
.28306 .49007 .29746 .50348 .31922 .50447 .30489 .49097 Metetra
.462 .671 .954 r
.30489 .49097 .31922 .50447 .34127 .50547 .32702 .49189 Metetra
.462 .671 .954 r
.32702 .49189 .34127 .50547 .36362 .5065 .34945 .49283 Metetra
.462 .671 .954 r
.34945 .49283 .36362 .5065 .38628 .50753 .37219 .49378 Metetra
.462 .671 .954 r
.37219 .49378 .38628 .50753 .40925 .50858 .39524 .49475 Metetra
.462 .671 .954 r
.39524 .49475 .40925 .50858 .43253 .50965 .41863 .49572 Metetra
.462 .671 .954 r
.41863 .49572 .43253 .50965 .45615 .51073 .44234 .49671 Metetra
.462 .671 .954 r
.44234 .49671 .45615 .51073 .4801 .51182 .46638 .49772 Metetra
.462 .671 .954 r
.46638 .49772 .4801 .51182 .50438 .51294 .49077 .49874 Metetra
.462 .671 .954 r
.49077 .49874 .50438 .51294 .52902 .51406 .51552 .49977 Metetra
.462 .671 .954 r
.51552 .49977 .52902 .51406 .55401 .5152 .54062 .50082 Metetra
.462 .671 .954 r
.54062 .50082 .55401 .5152 .57936 .51636 .56609 .50188 Metetra
.462 .671 .954 r
.56609 .50188 .57936 .51636 .60508 .51754 .59193 .50296 Metetra
.462 .671 .954 r
.59193 .50296 .60508 .51754 .63118 .51873 .61816 .50406 Metetra
.462 .671 .954 r
.61816 .50406 .63118 .51873 .65766 .51995 .64478 .50517 Metetra
.462 .671 .954 r
.64478 .50517 .65766 .51995 .68455 .52118 .6718 .5063 Metetra
.462 .671 .954 r
.6718 .5063 .68455 .52118 .71183 .52242 .69923 .50745 Metetra
.462 .671 .954 r
.69923 .50745 .71183 .52242 .73953 .52369 .72708 .50861 Metetra
.462 .671 .954 r
.72708 .50861 .73953 .52369 .76766 .52498 .75536 .50979 Metetra
.462 .671 .954 r
.75536 .50979 .76766 .52498 .79621 .52628 .78408 .51099 Metetra
.462 .671 .954 r
.78408 .51099 .79621 .52628 .82521 .52761 .81325 .51221 Metetra
.462 .671 .954 r
.81325 .51221 .82521 .52761 .85467 .52896 .84288 .51345 Metetra
.462 .671 .954 r
.84288 .51345 .85467 .52896 .88458 .53033 .87298 .51471 Metetra
.462 .671 .954 r
.87298 .51471 .88458 .53033 .91497 .53172 .90356 .51599 Metetra
.462 .671 .954 r
.26843 .47644 .28306 .49007 .30489 .49097 .29033 .47726 Metetra
.462 .671 .954 r
.29033 .47726 .30489 .49097 .32702 .49189 .31253 .4781 Metetra
.462 .671 .954 r
.31253 .4781 .32702 .49189 .34945 .49283 .33505 .47895 Metetra
.462 .671 .954 r
.33505 .47895 .34945 .49283 .37219 .49378 .35787 .47981 Metetra
.462 .671 .954 r
.35787 .47981 .37219 .49378 .39524 .49475 .38102 .48068 Metetra
.462 .671 .954 r
.38102 .48068 .39524 .49475 .41863 .49572 .40449 .48157 Metetra
.462 .671 .954 r
.40449 .48157 .41863 .49572 .44234 .49671 .42829 .48247 Metetra
.462 .671 .954 r
.42829 .48247 .44234 .49671 .46638 .49772 .45244 .48338 Metetra
.462 .671 .954 r
.45244 .48338 .46638 .49772 .49077 .49874 .47694 .4843 Metetra
.462 .671 .954 r
.47694 .4843 .49077 .49874 .51552 .49977 .50179 .48524 Metetra
.462 .671 .954 r
.50179 .48524 .51552 .49977 .54062 .50082 .527 .48619 Metetra
.462 .671 .954 r
.527 .48619 .54062 .50082 .56609 .50188 .55259 .48716 Metetra
.462 .671 .954 r
.55259 .48716 .56609 .50188 .59193 .50296 .57856 .48814 Metetra
.462 .671 .954 r
.57856 .48814 .59193 .50296 .61816 .50406 .60491 .48913 Metetra
.462 .671 .954 r
.60491 .48913 .61816 .50406 .64478 .50517 .63167 .49014 Metetra
.462 .671 .954 r
.63167 .49014 .64478 .50517 .6718 .5063 .65883 .49117 Metetra
.462 .671 .954 r
.65883 .49117 .6718 .5063 .69923 .50745 .6864 .49221 Metetra
.462 .671 .954 r
.6864 .49221 .69923 .50745 .72708 .50861 .7144 .49326 Metetra
.462 .671 .954 r
.7144 .49326 .72708 .50861 .75536 .50979 .74284 .49434 Metetra
.462 .671 .954 r
.74284 .49434 .75536 .50979 .78408 .51099 .77172 .49543 Metetra
.462 .671 .954 r
.77172 .49543 .78408 .51099 .81325 .51221 .80106 .49653 Metetra
.462 .671 .954 r
.80106 .49653 .81325 .51221 .84288 .51345 .83087 .49766 Metetra
.462 .671 .954 r
.83087 .49766 .84288 .51345 .87298 .51471 .86115 .4988 Metetra
.462 .671 .954 r
.86115 .4988 .87298 .51471 .90356 .51599 .89193 .49996 Metetra
.462 .671 .954 r
.25356 .4626 .26843 .47644 .29033 .47726 .27554 .46333 Metetra
.462 .671 .954 r
.27554 .46333 .29033 .47726 .31253 .4781 .29782 .46408 Metetra
.462 .671 .954 r
.29782 .46408 .31253 .4781 .33505 .47895 .32041 .46484 Metetra
.462 .671 .954 r
.32041 .46484 .33505 .47895 .35787 .47981 .34332 .46561 Metetra
.462 .671 .954 r
.34332 .46561 .35787 .47981 .38102 .48068 .36655 .46639 Metetra
.462 .671 .954 r
.36655 .46639 .38102 .48068 .40449 .48157 .39012 .46718 Metetra
.462 .671 .954 r
.39012 .46718 .40449 .48157 .42829 .48247 .41402 .46798 Metetra
.462 .671 .954 r
.41402 .46798 .42829 .48247 .45244 .48338 .43826 .4688 Metetra
.462 .671 .954 r
.43826 .4688 .45244 .48338 .47694 .4843 .46286 .46962 Metetra
.462 .671 .954 r
.46286 .46962 .47694 .4843 .50179 .48524 .48782 .47046 Metetra
.462 .671 .954 r
.48782 .47046 .50179 .48524 .527 .48619 .51315 .47131 Metetra
.462 .671 .954 r
.51315 .47131 .527 .48619 .55259 .48716 .53886 .47217 Metetra
.462 .671 .954 r
.53886 .47217 .55259 .48716 .57856 .48814 .56495 .47305 Metetra
.462 .671 .954 r
.56495 .47305 .57856 .48814 .60491 .48913 .59143 .47394 Metetra
.462 .671 .954 r
.59143 .47394 .60491 .48913 .63167 .49014 .61832 .47484 Metetra
.462 .671 .954 r
.61832 .47484 .63167 .49014 .65883 .49117 .64562 .47576 Metetra
.462 .671 .954 r
.64562 .47576 .65883 .49117 .6864 .49221 .67334 .47669 Metetra
.462 .671 .954 r
.67334 .47669 .6864 .49221 .7144 .49326 .7015 .47763 Metetra
.462 .671 .954 r
.7015 .47763 .7144 .49326 .74284 .49434 .73009 .47859 Metetra
.462 .671 .954 r
.73009 .47859 .74284 .49434 .77172 .49543 .75914 .47957 Metetra
.462 .671 .954 r
.75914 .47957 .77172 .49543 .80106 .49653 .78865 .48056 Metetra
.462 .671 .954 r
.78865 .48056 .80106 .49653 .83087 .49766 .81864 .48157 Metetra
.462 .671 .954 r
.81864 .48157 .83087 .49766 .86115 .4988 .84911 .48259 Metetra
.462 .671 .954 r
.84911 .48259 .86115 .4988 .89193 .49996 .88008 .48363 Metetra
.462 .671 .954 r
.23846 .44854 .25356 .4626 .27554 .46333 .26051 .44918 Metetra
.462 .671 .954 r
.26051 .44918 .27554 .46333 .29782 .46408 .28286 .44983 Metetra
.462 .671 .954 r
.28286 .44983 .29782 .46408 .32041 .46484 .30554 .4505 Metetra
.462 .671 .954 r
.30554 .4505 .32041 .46484 .34332 .46561 .32853 .45117 Metetra
.462 .671 .954 r
.32853 .45117 .34332 .46561 .36655 .46639 .35185 .45185 Metetra
.462 .671 .954 r
.35185 .45185 .36655 .46639 .39012 .46718 .3755 .45255 Metetra
.462 .671 .954 r
.3755 .45255 .39012 .46718 .41402 .46798 .3995 .45325 Metetra
.462 .671 .954 r
.3995 .45325 .41402 .46798 .43826 .4688 .42385 .45397 Metetra
.462 .671 .954 r
.42385 .45397 .43826 .4688 .46286 .46962 .44855 .45469 Metetra
.462 .671 .954 r
.44855 .45469 .46286 .46962 .48782 .47046 .47362 .45543 Metetra
.462 .671 .954 r
.47362 .45543 .48782 .47046 .51315 .47131 .49906 .45617 Metetra
.462 .671 .954 r
.49906 .45617 .51315 .47131 .53886 .47217 .52489 .45693 Metetra
.462 .671 .954 r
.52489 .45693 .53886 .47217 .56495 .47305 .5511 .4577 Metetra
.462 .671 .954 r
.5511 .4577 .56495 .47305 .59143 .47394 .57772 .45848 Metetra
.462 .671 .954 r
.57772 .45848 .59143 .47394 .61832 .47484 .60474 .45927 Metetra
.462 .671 .954 r
.60474 .45927 .61832 .47484 .64562 .47576 .63218 .46007 Metetra
.462 .671 .954 r
.63218 .46007 .64562 .47576 .67334 .47669 .66005 .46089 Metetra
.462 .671 .954 r
.66005 .46089 .67334 .47669 .7015 .47763 .68836 .46172 Metetra
.462 .671 .954 r
.68836 .46172 .7015 .47763 .73009 .47859 .71711 .46256 Metetra
.462 .671 .954 r
.71711 .46256 .73009 .47859 .75914 .47957 .74632 .46342 Metetra
.462 .671 .954 r
.74632 .46342 .75914 .47957 .78865 .48056 .77601 .46429 Metetra
.462 .671 .954 r
.77601 .46429 .78865 .48056 .81864 .48157 .80618 .46517 Metetra
.462 .671 .954 r
.80618 .46517 .81864 .48157 .84911 .48259 .83683 .46607 Metetra
.462 .671 .954 r
.83683 .46607 .84911 .48259 .88008 .48363 .868 .46699 Metetra
.462 .671 .954 r
.22311 .43425 .23846 .44854 .26051 .44918 .24523 .43479 Metetra
.462 .671 .954 r
.24523 .43479 .26051 .44918 .28286 .44983 .26766 .43535 Metetra
.462 .671 .954 r
.26766 .43535 .28286 .44983 .30554 .4505 .29042 .43592 Metetra
.462 .671 .954 r
.29042 .43592 .30554 .4505 .32853 .45117 .31349 .4365 Metetra
.462 .671 .954 r
.31349 .4365 .32853 .45117 .35185 .45185 .3369 .43708 Metetra
.462 .671 .954 r
.3369 .43708 .35185 .45185 .3755 .45255 .36064 .43767 Metetra
.462 .671 .954 r
.36064 .43767 .3755 .45255 .3995 .45325 .38474 .43827 Metetra
.462 .671 .954 r
.38474 .43827 .3995 .45325 .42385 .45397 .40918 .43888 Metetra
.462 .671 .954 r
.40918 .43888 .42385 .45397 .44855 .45469 .43399 .4395 Metetra
.462 .671 .954 r
.43399 .4395 .44855 .45469 .47362 .45543 .45917 .44013 Metetra
.462 .671 .954 r
.45917 .44013 .47362 .45543 .49906 .45617 .48473 .44077 Metetra
.462 .671 .954 r
.48473 .44077 .49906 .45617 .52489 .45693 .51067 .44141 Metetra
.462 .671 .954 r
.51067 .44141 .52489 .45693 .5511 .4577 .53701 .44207 Metetra
.462 .671 .954 r
.53701 .44207 .5511 .4577 .57772 .45848 .56375 .44274 Metetra
.462 .671 .954 r
.56375 .44274 .57772 .45848 .60474 .45927 .59091 .44342 Metetra
.462 .671 .954 r
.59091 .44342 .60474 .45927 .63218 .46007 .61849 .4441 Metetra
.462 .671 .954 r
.61849 .4441 .63218 .46007 .66005 .46089 .64651 .4448 Metetra
.462 .671 .954 r
.64651 .4448 .66005 .46089 .68836 .46172 .67497 .44551 Metetra
.462 .671 .954 r
.67497 .44551 .68836 .46172 .71711 .46256 .70389 .44623 Metetra
.462 .671 .954 r
.70389 .44623 .71711 .46256 .74632 .46342 .73327 .44697 Metetra
.462 .671 .954 r
.73327 .44697 .74632 .46342 .77601 .46429 .76313 .44771 Metetra
.462 .671 .954 r
.76313 .44771 .77601 .46429 .80618 .46517 .79347 .44847 Metetra
.462 .671 .954 r
.79347 .44847 .80618 .46517 .83683 .46607 .82432 .44924 Metetra
.462 .671 .954 r
.82432 .44924 .83683 .46607 .868 .46699 .85569 .45002 Metetra
.462 .671 .954 r
.20751 .41973 .22311 .43425 .24523 .43479 .22971 .42017 Metetra
.462 .671 .954 r
.22971 .42017 .24523 .43479 .26766 .43535 .25221 .42063 Metetra
.462 .671 .954 r
.25221 .42063 .26766 .43535 .29042 .43592 .27504 .4211 Metetra
.462 .671 .954 r
.27504 .4211 .29042 .43592 .31349 .4365 .2982 .42157 Metetra
.462 .671 .954 r
.2982 .42157 .31349 .4365 .3369 .43708 .3217 .42205 Metetra
.462 .671 .954 r
.3217 .42205 .3369 .43708 .36064 .43767 .34553 .42254 Metetra
.462 .671 .954 r
.34553 .42254 .36064 .43767 .38474 .43827 .36972 .42304 Metetra
.462 .671 .954 r
.36972 .42304 .38474 .43827 .40918 .43888 .39427 .42354 Metetra
.462 .671 .954 r
.39427 .42354 .40918 .43888 .43399 .4395 .41918 .42405 Metetra
.462 .671 .954 r
.41918 .42405 .43399 .4395 .45917 .44013 .44447 .42457 Metetra
.462 .671 .954 r
.44447 .42457 .45917 .44013 .48473 .44077 .47014 .42509 Metetra
.462 .671 .954 r
.47014 .42509 .48473 .44077 .51067 .44141 .4962 .42562 Metetra
.462 .671 .954 r
.4962 .42562 .51067 .44141 .53701 .44207 .52266 .42617 Metetra
.462 .671 .954 r
.52266 .42617 .53701 .44207 .56375 .44274 .54954 .42672 Metetra
.462 .671 .954 r
.54954 .42672 .56375 .44274 .59091 .44342 .57683 .42727 Metetra
.462 .671 .954 r
.57683 .42727 .59091 .44342 .61849 .4441 .60456 .42784 Metetra
.462 .671 .954 r
.60456 .42784 .61849 .4441 .64651 .4448 .63272 .42842 Metetra
.462 .671 .954 r
.63272 .42842 .64651 .4448 .67497 .44551 .66134 .429 Metetra
.462 .671 .954 r
.66134 .429 .67497 .44551 .70389 .44623 .69041 .4296 Metetra
.462 .671 .954 r
.69041 .4296 .70389 .44623 .73327 .44697 .71996 .4302 Metetra
.462 .671 .954 r
.71996 .4302 .73327 .44697 .76313 .44771 .75 .43082 Metetra
.462 .671 .954 r
.75 .43082 .76313 .44771 .79347 .44847 .78053 .43144 Metetra
.462 .671 .954 r
.78053 .43144 .79347 .44847 .82432 .44924 .81157 .43208 Metetra
.462 .671 .954 r
.81157 .43208 .82432 .44924 .85569 .45002 .84313 .43272 Metetra
.462 .671 .954 r
.19166 .40497 .20751 .41973 .22971 .42017 .21392 .40531 Metetra
.462 .671 .954 r
.21392 .40531 .22971 .42017 .25221 .42063 .23651 .40567 Metetra
.462 .671 .954 r
.23651 .40567 .25221 .42063 .27504 .4211 .25941 .40603 Metetra
.462 .671 .954 r
.25941 .40603 .27504 .4211 .2982 .42157 .28265 .4064 Metetra
.462 .671 .954 r
.28265 .4064 .2982 .42157 .3217 .42205 .30624 .40677 Metetra
.462 .671 .954 r
.30624 .40677 .3217 .42205 .34553 .42254 .33016 .40715 Metetra
.462 .671 .954 r
.33016 .40715 .34553 .42254 .36972 .42304 .35444 .40754 Metetra
.462 .671 .954 r
.35444 .40754 .36972 .42304 .39427 .42354 .37909 .40793 Metetra
.462 .671 .954 r
.37909 .40793 .39427 .42354 .41918 .42405 .40411 .40833 Metetra
.462 .671 .954 r
.40411 .40833 .41918 .42405 .44447 .42457 .4295 .40873 Metetra
.462 .671 .954 r
.4295 .40873 .44447 .42457 .47014 .42509 .45529 .40914 Metetra
.462 .671 .954 r
.45529 .40914 .47014 .42509 .4962 .42562 .48147 .40955 Metetra
.462 .671 .954 r
.48147 .40955 .4962 .42562 .52266 .42617 .50806 .40997 Metetra
.462 .671 .954 r
.50806 .40997 .52266 .42617 .54954 .42672 .53506 .4104 Metetra
.462 .671 .954 r
.53506 .4104 .54954 .42672 .57683 .42727 .56249 .41084 Metetra
.462 .671 .954 r
.56249 .41084 .57683 .42727 .60456 .42784 .59036 .41128 Metetra
.462 .671 .954 r
.59036 .41128 .60456 .42784 .63272 .42842 .61867 .41173 Metetra
.462 .671 .954 r
.61867 .41173 .63272 .42842 .66134 .429 .64745 .41218 Metetra
.462 .671 .954 r
.64745 .41218 .66134 .429 .69041 .4296 .67669 .41265 Metetra
.462 .671 .954 r
.67669 .41265 .69041 .4296 .71996 .4302 .7064 .41312 Metetra
.462 .671 .954 r
.7064 .41312 .71996 .4302 .75 .43082 .73662 .4136 Metetra
.462 .671 .954 r
.73662 .4136 .75 .43082 .78053 .43144 .76733 .41408 Metetra
.462 .671 .954 r
.76733 .41408 .78053 .43144 .81157 .43208 .79857 .41458 Metetra
.462 .671 .954 r
.79857 .41458 .81157 .43208 .84313 .43272 .83033 .41508 Metetra
.462 .671 .954 r
.17554 .38996 .19166 .40497 .21392 .40531 .19788 .3902 Metetra
.462 .671 .954 r
.19788 .3902 .21392 .40531 .23651 .40567 .22054 .39045 Metetra
.462 .671 .954 r
.22054 .39045 .23651 .40567 .25941 .40603 .24352 .39071 Metetra
.462 .671 .954 r
.24352 .39071 .25941 .40603 .28265 .4064 .26684 .39097 Metetra
.462 .671 .954 r
.26684 .39097 .28265 .4064 .30624 .40677 .29051 .39123 Metetra
.462 .671 .954 r
.29051 .39123 .30624 .40677 .33016 .40715 .31453 .3915 Metetra
.462 .671 .954 r
.31453 .3915 .33016 .40715 .35444 .40754 .3389 .39177 Metetra
.462 .671 .954 r
.3389 .39177 .35444 .40754 .37909 .40793 .36365 .39204 Metetra
.462 .671 .954 r
.36365 .39204 .37909 .40793 .40411 .40833 .38877 .39232 Metetra
.462 .671 .954 r
.38877 .39232 .40411 .40833 .4295 .40873 .41427 .39261 Metetra
.462 .671 .954 r
.41427 .39261 .4295 .40873 .45529 .40914 .44017 .3929 Metetra
.462 .671 .954 r
.44017 .3929 .45529 .40914 .48147 .40955 .46647 .39319 Metetra
.462 .671 .954 r
.46647 .39319 .48147 .40955 .50806 .40997 .49319 .39349 Metetra
.462 .671 .954 r
.49319 .39349 .50806 .40997 .53506 .4104 .52032 .39379 Metetra
.462 .671 .954 r
.52032 .39379 .53506 .4104 .56249 .41084 .54789 .39409 Metetra
.462 .671 .954 r
.54789 .39409 .56249 .41084 .59036 .41128 .5759 .39441 Metetra
.462 .671 .954 r
.5759 .39441 .59036 .41128 .61867 .41173 .60436 .39472 Metetra
.462 .671 .954 r
.60436 .39472 .61867 .41173 .64745 .41218 .63329 .39504 Metetra
.462 .671 .954 r
.63329 .39504 .64745 .41218 .67669 .41265 .66269 .39537 Metetra
.462 .671 .954 r
.66269 .39537 .67669 .41265 .7064 .41312 .69258 .3957 Metetra
.462 .671 .954 r
.69258 .3957 .7064 .41312 .73662 .4136 .72298 .39604 Metetra
.462 .671 .954 r
.72298 .39604 .73662 .4136 .76733 .41408 .75388 .39639 Metetra
.462 .671 .954 r
.75388 .39639 .76733 .41408 .79857 .41458 .78531 .39674 Metetra
.462 .671 .954 r
.78531 .39674 .79857 .41458 .83033 .41508 .81727 .39709 Metetra
.462 .671 .954 r
.15916 .37471 .17554 .38996 .19788 .3902 .18156 .37484 Metetra
.462 .671 .954 r
.18156 .37484 .19788 .3902 .22054 .39045 .20429 .37498 Metetra
.462 .671 .954 r
.20429 .37498 .22054 .39045 .24352 .39071 .22736 .37512 Metetra
.462 .671 .954 r
.22736 .37512 .24352 .39071 .26684 .39097 .25076 .37527 Metetra
.462 .671 .954 r
.25076 .37527 .26684 .39097 .29051 .39123 .27451 .37542 Metetra
.462 .671 .954 r
.27451 .37542 .29051 .39123 .31453 .3915 .29862 .37557 Metetra
.462 .671 .954 r
.29862 .37557 .31453 .3915 .3389 .39177 .32309 .37572 Metetra
.462 .671 .954 r
.32309 .37572 .3389 .39177 .36365 .39204 .34793 .37588 Metetra
.462 .671 .954 r
.34793 .37588 .36365 .39204 .38877 .39232 .37316 .37604 Metetra
.462 .671 .954 r
.37316 .37604 .38877 .39232 .41427 .39261 .39877 .3762 Metetra
.462 .671 .954 r
.39877 .3762 .41427 .39261 .44017 .3929 .42478 .37636 Metetra
.462 .671 .954 r
.42478 .37636 .44017 .3929 .46647 .39319 .4512 .37653 Metetra
.462 .671 .954 r
.4512 .37653 .46647 .39319 .49319 .39349 .47804 .37669 Metetra
.462 .671 .954 r
.47804 .37669 .49319 .39349 .52032 .39379 .50531 .37687 Metetra
.462 .671 .954 r
.50531 .37687 .52032 .39379 .54789 .39409 .53301 .37704 Metetra
.462 .671 .954 r
.53301 .37704 .54789 .39409 .5759 .39441 .56117 .37722 Metetra
.462 .671 .954 r
.56117 .37722 .5759 .39441 .60436 .39472 .58978 .37739 Metetra
.462 .671 .954 r
.58978 .37739 .60436 .39472 .63329 .39504 .61886 .37758 Metetra
.462 .671 .954 r
.61886 .37758 .63329 .39504 .66269 .39537 .64843 .37776 Metetra
.462 .671 .954 r
.64843 .37776 .66269 .39537 .69258 .3957 .6785 .37795 Metetra
.462 .671 .954 r
.6785 .37795 .69258 .3957 .72298 .39604 .70907 .37814 Metetra
.462 .671 .954 r
.70907 .37814 .72298 .39604 .75388 .39639 .74016 .37834 Metetra
.462 .671 .954 r
.74016 .37834 .75388 .39639 .78531 .39674 .77178 .37853 Metetra
.462 .671 .954 r
.77178 .37853 .78531 .39674 .81727 .39709 .80395 .37874 Metetra
.462 .671 .954 r
.1425 .35919 .15916 .37471 .18156 .37484 .16497 .35921 Metetra
.462 .671 .954 r
.16497 .35921 .18156 .37484 .20429 .37498 .18777 .35924 Metetra
.462 .671 .954 r
.18777 .35924 .20429 .37498 .22736 .37512 .21091 .35927 Metetra
.462 .671 .954 r
.21091 .35927 .22736 .37512 .25076 .37527 .2344 .3593 Metetra
.462 .671 .954 r
.2344 .3593 .25076 .37527 .27451 .37542 .25823 .35933 Metetra
.462 .671 .954 r
.25823 .35933 .27451 .37542 .29862 .37557 .28243 .35936 Metetra
.462 .671 .954 r
.28243 .35936 .29862 .37557 .32309 .37572 .30699 .35939 Metetra
.462 .671 .954 r
.30699 .35939 .32309 .37572 .34793 .37588 .33193 .35942 Metetra
.462 .671 .954 r
.33193 .35942 .34793 .37588 .37316 .37604 .35726 .35946 Metetra
.462 .671 .954 r
.35726 .35946 .37316 .37604 .39877 .3762 .38298 .35949 Metetra
.462 .671 .954 r
.38298 .35949 .39877 .3762 .42478 .37636 .40911 .35952 Metetra
.462 .671 .954 r
.40911 .35952 .42478 .37636 .4512 .37653 .43565 .35956 Metetra
.462 .671 .954 r
.43565 .35956 .4512 .37653 .47804 .37669 .46262 .35959 Metetra
.462 .671 .954 r
.46262 .35959 .47804 .37669 .50531 .37687 .49001 .35963 Metetra
.462 .671 .954 r
.49001 .35963 .50531 .37687 .53301 .37704 .51786 .35966 Metetra
.462 .671 .954 r
.51786 .35966 .53301 .37704 .56117 .37722 .54615 .3597 Metetra
.462 .671 .954 r
.54615 .3597 .56117 .37722 .58978 .37739 .57492 .35973 Metetra
.462 .671 .954 r
.57492 .35973 .58978 .37739 .61886 .37758 .60416 .35977 Metetra
.462 .671 .954 r
.60416 .35977 .61886 .37758 .64843 .37776 .63389 .35981 Metetra
.462 .671 .954 r
.63389 .35981 .64843 .37776 .6785 .37795 .66413 .35985 Metetra
.462 .671 .954 r
.66413 .35985 .6785 .37795 .70907 .37814 .69488 .35989 Metetra
.462 .671 .954 r
.69488 .35989 .70907 .37814 .74016 .37834 .72616 .35993 Metetra
.462 .671 .954 r
.72616 .35993 .74016 .37834 .77178 .37853 .75798 .35997 Metetra
.462 .671 .954 r
.75798 .35997 .77178 .37853 .80395 .37874 .79036 .36001 Metetra
.462 .671 .954 r
.12556 .34342 .1425 .35919 .16497 .35921 .1481 .34333 Metetra
.462 .671 .954 r
.1481 .34333 .16497 .35921 .18777 .35924 .17097 .34323 Metetra
.462 .671 .954 r
.17097 .34323 .18777 .35924 .21091 .35927 .19418 .34314 Metetra
.462 .671 .954 r
.19418 .34314 .21091 .35927 .2344 .3593 .21775 .34305 Metetra
.462 .671 .954 r
.21775 .34305 .2344 .3593 .25823 .35933 .24167 .34296 Metetra
.462 .671 .954 r
.24167 .34296 .25823 .35933 .28243 .35936 .26595 .34287 Metetra
.462 .671 .954 r
.26595 .34287 .28243 .35936 .30699 .35939 .29061 .34277 Metetra
.462 .671 .954 r
.29061 .34277 .30699 .35939 .33193 .35942 .31565 .34267 Metetra
.462 .671 .954 r
.31565 .34267 .33193 .35942 .35726 .35946 .34108 .34258 Metetra
.462 .671 .954 r
.34108 .34258 .35726 .35946 .38298 .35949 .36691 .34248 Metetra
.462 .671 .954 r
.36691 .34248 .38298 .35949 .40911 .35952 .39315 .34237 Metetra
.462 .671 .954 r
.39315 .34237 .40911 .35952 .43565 .35956 .41981 .34227 Metetra
.462 .671 .954 r
.41981 .34227 .43565 .35956 .46262 .35959 .4469 .34217 Metetra
.462 .671 .954 r
.4469 .34217 .46262 .35959 .49001 .35963 .47443 .34206 Metetra
.462 .671 .954 r
.47443 .34206 .49001 .35963 .51786 .35966 .50241 .34195 Metetra
.462 .671 .954 r
.50241 .34195 .51786 .35966 .54615 .3597 .53085 .34184 Metetra
.462 .671 .954 r
.53085 .34184 .54615 .3597 .57492 .35973 .55977 .34173 Metetra
.462 .671 .954 r
.55977 .34173 .57492 .35973 .60416 .35977 .58917 .34162 Metetra
.462 .671 .954 r
.58917 .34162 .60416 .35977 .63389 .35981 .61907 .3415 Metetra
.462 .671 .954 r
.61907 .3415 .63389 .35981 .66413 .35985 .64948 .34138 Metetra
.462 .671 .954 r
.64948 .34138 .66413 .35985 .69488 .35989 .68041 .34126 Metetra
.462 .671 .954 r
.68041 .34126 .69488 .35989 .72616 .35993 .71188 .34114 Metetra
.462 .671 .954 r
.71188 .34114 .72616 .35993 .75798 .35997 .7439 .34102 Metetra
.462 .671 .954 r
.7439 .34102 .75798 .35997 .79036 .36001 .77649 .34089 Metetra
.462 .671 .954 r
.10832 .32737 .12556 .34342 .1481 .34333 .13093 .32716 Metetra
.462 .671 .954 r
.13093 .32716 .1481 .34333 .17097 .34323 .15387 .32695 Metetra
.462 .671 .954 r
.15387 .32695 .17097 .34323 .19418 .34314 .17716 .32673 Metetra
.462 .671 .954 r
.17716 .32673 .19418 .34314 .21775 .34305 .20081 .32652 Metetra
.462 .671 .954 r
.20081 .32652 .21775 .34305 .24167 .34296 .22481 .3263 Metetra
.462 .671 .954 r
.22481 .3263 .24167 .34296 .26595 .34287 .24918 .32607 Metetra
.462 .671 .954 r
.24918 .32607 .26595 .34287 .29061 .34277 .27393 .32585 Metetra
.462 .671 .954 r
.27393 .32585 .29061 .34277 .31565 .34267 .29907 .32562 Metetra
.462 .671 .954 r
.29907 .32562 .31565 .34267 .34108 .34258 .3246 .32538 Metetra
.462 .671 .954 r
.3246 .32538 .34108 .34258 .36691 .34248 .35054 .32515 Metetra
.462 .671 .954 r
.35054 .32515 .36691 .34248 .39315 .34237 .37689 .32491 Metetra
.462 .671 .954 r
.37689 .32491 .39315 .34237 .41981 .34227 .40367 .32466 Metetra
.462 .671 .954 r
.40367 .32466 .41981 .34227 .4469 .34217 .43089 .32441 Metetra
.462 .671 .954 r
.43089 .32441 .4469 .34217 .47443 .34206 .45855 .32416 Metetra
.462 .671 .954 r
.45855 .32416 .47443 .34206 .50241 .34195 .48667 .3239 Metetra
.462 .671 .954 r
.48667 .3239 .50241 .34195 .53085 .34184 .51525 .32364 Metetra
.462 .671 .954 r
.51525 .32364 .53085 .34184 .55977 .34173 .54432 .32338 Metetra
.462 .671 .954 r
.54432 .32338 .55977 .34173 .58917 .34162 .57388 .3231 Metetra
.462 .671 .954 r
.57388 .3231 .58917 .34162 .61907 .3415 .60394 .32283 Metetra
.462 .671 .954 r
.60394 .32283 .61907 .3415 .64948 .34138 .63453 .32255 Metetra
.462 .671 .954 r
.63453 .32255 .64948 .34138 .68041 .34126 .66565 .32227 Metetra
.462 .671 .954 r
.66565 .32227 .68041 .34126 .71188 .34114 .69731 .32198 Metetra
.462 .671 .954 r
.69731 .32198 .71188 .34114 .7439 .34102 .72953 .32168 Metetra
.462 .671 .954 r
.72953 .32168 .7439 .34102 .77649 .34089 .76233 .32138 Metetra
.462 .671 .954 r
.09079 .31105 .10832 .32737 .13093 .32716 .11347 .31071 Metetra
.462 .671 .954 r
.11347 .31071 .13093 .32716 .15387 .32695 .13648 .31037 Metetra
.462 .671 .954 r
.13648 .31037 .15387 .32695 .17716 .32673 .15984 .31003 Metetra
.462 .671 .954 r
.15984 .31003 .17716 .32673 .20081 .32652 .18356 .30969 Metetra
.462 .671 .954 r
.18356 .30969 .20081 .32652 .22481 .3263 .20765 .30934 Metetra
.462 .671 .954 r
.20765 .30934 .22481 .3263 .24918 .32607 .23211 .30898 Metetra
.462 .671 .954 r
.23211 .30898 .24918 .32607 .27393 .32585 .25695 .30862 Metetra
.462 .671 .954 r
.25695 .30862 .27393 .32585 .29907 .32562 .28218 .30825 Metetra
.462 .671 .954 r
.28218 .30825 .29907 .32562 .3246 .32538 .30782 .30788 Metetra
.462 .671 .954 r
.30782 .30788 .3246 .32538 .35054 .32515 .33386 .3075 Metetra
.462 .671 .954 r
.33386 .3075 .35054 .32515 .37689 .32491 .36033 .30711 Metetra
.462 .671 .954 r
.36033 .30711 .37689 .32491 .40367 .32466 .38723 .30672 Metetra
.462 .671 .954 r
.38723 .30672 .40367 .32466 .43089 .32441 .41457 .30632 Metetra
.462 .671 .954 r
.41457 .30632 .43089 .32441 .45855 .32416 .44236 .30591 Metetra
.462 .671 .954 r
.44236 .30591 .45855 .32416 .48667 .3239 .47062 .3055 Metetra
.462 .671 .954 r
.47062 .3055 .48667 .3239 .51525 .32364 .49935 .30508 Metetra
.462 .671 .954 r
.49935 .30508 .51525 .32364 .54432 .32338 .52857 .30466 Metetra
.462 .671 .954 r
.52857 .30466 .54432 .32338 .57388 .3231 .55829 .30422 Metetra
.462 .671 .954 r
.55829 .30422 .57388 .3231 .60394 .32283 .58852 .30378 Metetra
.462 .671 .954 r
.58852 .30378 .60394 .32283 .63453 .32255 .61928 .30333 Metetra
.462 .671 .954 r
.61928 .30333 .63453 .32255 .66565 .32227 .65058 .30288 Metetra
.462 .671 .954 r
.65058 .30288 .66565 .32227 .69731 .32198 .68244 .30241 Metetra
.462 .671 .954 r
.68244 .30241 .69731 .32198 .72953 .32168 .71486 .30194 Metetra
.462 .671 .954 r
.71486 .30194 .72953 .32168 .76233 .32138 .74787 .30146 Metetra
.462 .671 .954 r
.07296 .29444 .09079 .31105 .11347 .31071 .09569 .29397 Metetra
.462 .671 .954 r
.09569 .29397 .11347 .31071 .13648 .31037 .11878 .29351 Metetra
.462 .671 .954 r
.11878 .29351 .13648 .31037 .15984 .31003 .14221 .29303 Metetra
.462 .671 .954 r
.14221 .29303 .15984 .31003 .18356 .30969 .16601 .29255 Metetra
.462 .671 .954 r
.16601 .29255 .18356 .30969 .20765 .30934 .19017 .29207 Metetra
.462 .671 .954 r
.19017 .29207 .20765 .30934 .23211 .30898 .21472 .29157 Metetra
.462 .671 .954 r
.21472 .29157 .23211 .30898 .25695 .30862 .23965 .29107 Metetra
.462 .671 .954 r
.23965 .29107 .25695 .30862 .28218 .30825 .26498 .29056 Metetra
.462 .671 .954 r
.26498 .29056 .28218 .30825 .30782 .30788 .29072 .29004 Metetra
.462 .671 .954 r
.29072 .29004 .30782 .30788 .33386 .3075 .31687 .28951 Metetra
.462 .671 .954 r
.31687 .28951 .33386 .3075 .36033 .30711 .34345 .28898 Metetra
.462 .671 .954 r
.34345 .28898 .36033 .30711 .38723 .30672 .37047 .28843 Metetra
.462 .671 .954 r
.37047 .28843 .38723 .30672 .41457 .30632 .39793 .28788 Metetra
.462 .671 .954 r
.39793 .28788 .41457 .30632 .44236 .30591 .42586 .28731 Metetra
.462 .671 .954 r
.42586 .28731 .44236 .30591 .47062 .3055 .45425 .28674 Metetra
.462 .671 .954 r
.45425 .28674 .47062 .3055 .49935 .30508 .48313 .28616 Metetra
.462 .671 .954 r
.48313 .28616 .49935 .30508 .52857 .30466 .5125 .28557 Metetra
.462 .671 .954 r
.5125 .28557 .52857 .30466 .55829 .30422 .54238 .28496 Metetra
.462 .671 .954 r
.54238 .28496 .55829 .30422 .58852 .30378 .57278 .28435 Metetra
.462 .671 .954 r
.57278 .28435 .58852 .30378 .61928 .30333 .60372 .28373 Metetra
.462 .671 .954 r
.60372 .28373 .61928 .30333 .65058 .30288 .6352 .28309 Metetra
.462 .671 .954 r
.6352 .28309 .65058 .30288 .68244 .30241 .66725 .28244 Metetra
.462 .671 .954 r
.66725 .28244 .68244 .30241 .71486 .30194 .69988 .28179 Metetra
.462 .671 .954 r
.69988 .28179 .71486 .30194 .74787 .30146 .73311 .28111 Metetra
.462 .671 .954 r
.05481 .27754 .07296 .29444 .09569 .29397 .07761 .27694 Metetra
.462 .671 .954 r
.07761 .27694 .09569 .29397 .11878 .29351 .10076 .27634 Metetra
.462 .671 .954 r
.10076 .27634 .11878 .29351 .14221 .29303 .12426 .27573 Metetra
.462 .671 .954 r
.12426 .27573 .14221 .29303 .16601 .29255 .14814 .27511 Metetra
.462 .671 .954 r
.14814 .27511 .16601 .29255 .19017 .29207 .17238 .27448 Metetra
.462 .671 .954 r
.17238 .27448 .19017 .29207 .21472 .29157 .19701 .27384 Metetra
.462 .671 .954 r
.19701 .27384 .21472 .29157 .23965 .29107 .22204 .2732 Metetra
.462 .671 .954 r
.22204 .2732 .23965 .29107 .26498 .29056 .24746 .27254 Metetra
.462 .671 .954 r
.24746 .27254 .26498 .29056 .29072 .29004 .2733 .27187 Metetra
.462 .671 .954 r
.2733 .27187 .29072 .29004 .31687 .28951 .29956 .27119 Metetra
.462 .671 .954 r
.29956 .27119 .31687 .28951 .34345 .28898 .32625 .27049 Metetra
.462 .671 .954 r
.32625 .27049 .34345 .28898 .37047 .28843 .35339 .26979 Metetra
.462 .671 .954 r
.35339 .26979 .37047 .28843 .39793 .28788 .38097 .26907 Metetra
.462 .671 .954 r
.38097 .26907 .39793 .28788 .42586 .28731 .40903 .26835 Metetra
.462 .671 .954 r
.40903 .26835 .42586 .28731 .45425 .28674 .43756 .26761 Metetra
.462 .671 .954 r
.43756 .26761 .45425 .28674 .48313 .28616 .46658 .26685 Metetra
.462 .671 .954 r
.46658 .26685 .48313 .28616 .5125 .28557 .49611 .26609 Metetra
.462 .671 .954 r
.49611 .26609 .5125 .28557 .54238 .28496 .52615 .26531 Metetra
.462 .671 .954 r
.52615 .26531 .54238 .28496 .57278 .28435 .55672 .26452 Metetra
.462 .671 .954 r
.55672 .26452 .57278 .28435 .60372 .28373 .58783 .26371 Metetra
.462 .671 .954 r
.58783 .26371 .60372 .28373 .6352 .28309 .61951 .26289 Metetra
.462 .671 .954 r
.61951 .26289 .6352 .28309 .66725 .28244 .65175 .26205 Metetra
.462 .671 .954 r
.65175 .26205 .66725 .28244 .69988 .28179 .68459 .2612 Metetra
.462 .671 .954 r
.68459 .2612 .69988 .28179 .73311 .28111 .71803 .26033 Metetra
.462 .671 .954 r
.03633 .26034 .05481 .27754 .07761 .27694 .0592 .25961 Metetra
.462 .671 .954 r
.0592 .25961 .07761 .27694 .10076 .27634 .08241 .25887 Metetra
.462 .671 .954 r
.08241 .25887 .10076 .27634 .12426 .27573 .10599 .25811 Metetra
.462 .671 .954 r
.10599 .25811 .12426 .27573 .14814 .27511 .12994 .25735 Metetra
.462 .671 .954 r
.12994 .25735 .14814 .27511 .17238 .27448 .15426 .25658 Metetra
.462 .671 .954 r
.15426 .25658 .17238 .27448 .19701 .27384 .17898 .25579 Metetra
.462 .671 .954 r
.17898 .25579 .19701 .27384 .22204 .2732 .20409 .25499 Metetra
.462 .671 .954 r
.20409 .25499 .22204 .2732 .24746 .27254 .22961 .25417 Metetra
.462 .671 .954 r
.22961 .25417 .24746 .27254 .2733 .27187 .25555 .25335 Metetra
.462 .671 .954 r
.25555 .25335 .2733 .27187 .29956 .27119 .28191 .25251 Metetra
.462 .671 .954 r
.28191 .25251 .29956 .27119 .32625 .27049 .30872 .25165 Metetra
.462 .671 .954 r
.30872 .25165 .32625 .27049 .35339 .26979 .33597 .25079 Metetra
.462 .671 .954 r
.33597 .25079 .35339 .26979 .38097 .26907 .36368 .2499 Metetra
.462 .671 .954 r
.36368 .2499 .38097 .26907 .40903 .26835 .39187 .249 Metetra
.462 .671 .954 r
.39187 .249 .40903 .26835 .43756 .26761 .42054 .24809 Metetra
.462 .671 .954 r
.42054 .24809 .43756 .26761 .46658 .26685 .44971 .24716 Metetra
.462 .671 .954 r
.44971 .24716 .46658 .26685 .49611 .26609 .47938 .24622 Metetra
.462 .671 .954 r
.47938 .24622 .49611 .26609 .52615 .26531 .50959 .24525 Metetra
.462 .671 .954 r
.50959 .24525 .52615 .26531 .55672 .26452 .54032 .24427 Metetra
.462 .671 .954 r
.54032 .24427 .55672 .26452 .58783 .26371 .57162 .24328 Metetra
.462 .671 .954 r
.57162 .24328 .58783 .26371 .61951 .26289 .60348 .24226 Metetra
.462 .671 .954 r
.60348 .24226 .61951 .26289 .65175 .26205 .63592 .24123 Metetra
.462 .671 .954 r
.63592 .24123 .65175 .26205 .68459 .2612 .66896 .24017 Metetra
.462 .671 .954 r
.66896 .24017 .68459 .2612 .71803 .26033 .70262 .2391 Metetra
0 g
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(0)] .02757 .24618 1 .93395 Mshowa
.1552 .20892 m
.15981 .21359 L
s
[(20)] .14598 .19958 .98733 1 Mshowa
.27893 .16047 m
.28333 .16533 L
s
[(40)] .27013 .15073 .90393 1 Mshowa
.40878 .10962 m
.41294 .11469 L
s
[(60)] .40046 .09948 .82054 1 Mshowa
.54521 .0562 m
.54911 .06148 L
s
[(80)] .53743 .04564 .73714 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(100)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.18558 .19702 m
.18832 .19985 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.3108 .14799 m
.31341 .15094 L
s
.34306 .13535 m
.34564 .13834 L
s
.37572 .12257 m
.37826 .12558 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.51046 .06981 m
.51284 .07294 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 233.563},
  ImageMargins->{{91, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000jB000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00_03oool500000080oooo0P0000040?ooo`800000
E@3oool00;h0oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`3oool0DP3oool00;h0oooo00D000000?ooo`3oool0oooo000000020?ooo`04
0000003oool0oooo00000080oooo00<000000?ooo`3oool0DP3oool00;h0oooo00D000000?ooo`3o
ool0oooo000000020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0DP3oool0
0;h0oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo00000080oooo00<0
00000?ooo`3oool0DP3oool00;d0oooo0P0000040?ooo`800000103oool2000005D0oooo003o0?oo
ob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003;0?oo
o`800000D`3oool00<T0oooo0P0000000`3oool000000000001B0?ooo`00aP3oool3000000<0oooo
0P00001B0?ooo`00a03oool2000000H0oooo00<000000?ooo`000000D@3oool009/0oooo0P000004
0?ooo`8000007P3oool3000000P0oooo00@000000?ooo`3oool00000D03oool009X0oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`00000J0?ooo`<000000P3oool00`000000oooo
0?ooo`060?ooo`040000003oool0oooo00000500oooo002J0?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool00000603oool2000000h0oooo00D000000?ooo`3oool0oooo0000001?
0?ooo`00V`3oool2000000<0oooo00@000000?ooo`3oool000005@3oool300000100oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`1<0?ooo`00VP3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo000001<0oooo0P00000C0?ooo`040000003oool0oooo0?ooo`800000
CP3oool009/0oooo0P0000040?ooo`8000004@3oool300000080oooo00<000000?ooo`3oool04@3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo04/0oooo002b0?ooo`8000006@3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo04/0oooo002_0?ooo`<000006`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo04X0oooo002]0?ooo`@00000703oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo04T0oooo002Z0?ooo`<00000803oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo04T0oooo002W0?ooo`<000008`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo04P0oooo002U0?ooo`8000009P3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo04L0oooo002R0?ooo`<0000000<0oooo0000003oool09@3oool00`00
0000oooo0?ooo`050?ooo`800000B@3oool00:00oooo0P0000050?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`160?ooo`00W@3oool3000002d0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`150?ooo`00M@3oool3000000@0oooo0P00
000M0?ooo`800000<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo04D0oooo001e
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000006@3oool300000080oooo
00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo04@0oooo
001e0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000005P3oool3000003D0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`130?ooo`00M@3oool3000000<0oooo
00@000000?ooo`3oool00000503oool2000003P0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`130?ooo`00MP3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000140
oooo0`0000000`3oool000000?ooo`0g0?ooo`030000003oool0oooo00X0oooo0P0000140?ooo`00
MP3oool3000000<0oooo0P00000@0?ooo`800000?@3oool00`000000oooo0?ooo`0<0?ooo`030000
003oool0oooo0440oooo002;0?ooo`<00000@03oool00`000000oooo0?ooo`0;0?ooo`030000003o
ool0oooo00H0oooo0P00000i0?ooo`00R@3oool2000004<0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`040?ooo`040000003oool0oooo000003P0oooo00260?ooo`<000000P3oool0
0`000000oooo0?ooo`100?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`0f0?ooo`00Q03oool2000004P0oooo00<000000?ooo`3oool03@3oool00`00
0000oooo0?ooo`040?ooo`800000>@3oool00840oooo0`00001:0?ooo`030000003oool0oooo00h0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0h0?ooo`00OP3oool4000004`0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`030?ooo`<00000>03oool007`0oooo0P00
00040?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool03@3oool00`000000oooo0000
000o0?ooo`00E03oool300000080oooo0P00000N0?ooo`<00000DP3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo03`0oooo001E0?ooo`040000003oool0oooo00000080oooo00<00000
0?ooo`3oool06@3oool2000005D0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0l
0?ooo`00DP3oool5000000050?ooo`000000oooo0?ooo`000000603oool300000080oooo00<00000
0?ooo`3oool0DP3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo03/0oooo001B0?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool000005P3oool2000005X0oooo00<0
00000?ooo`3oool04P3oool00`000000oooo0?ooo`0j0?ooo`00D`3oool00`000000oooo00000002
0?ooo`040000003oool0oooo000001<0oooo0`00001L0?ooo`030000003oool0oooo0180oooo00<0
00000?ooo`3oool0>P3oool005@0oooo0P0000030?ooo`8000004P3oool2000000030?ooo`000000
oooo05`0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0i0?ooo`00JP3oool30000
0640oooo00<000000?ooo`3oool04P3oool00`000000oooo0000000j0?ooo`00I`3oool3000006@0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0h0?ooo`00I@3oool4000006D0oooo
00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0g0?ooo`00HP3oool3000006T0oooo00<0
00000?ooo`3oool05P3oool00`000000oooo0?ooo`0f0?ooo`00H03oool2000006d0oooo00<00000
0?ooo`3oool05@3oool00`000000oooo0?ooo`0f0?ooo`00G@3oool3000006l0oooo00<000000?oo
o`3oool05P3oool00`000000oooo0?ooo`0e0?ooo`00F`3oool2000000<0oooo00<000000?ooo`3o
ool0K03oool00`000000oooo0?ooo`0E0?ooo`<00000=P3oool00300oooo100000030?ooo`800000
7`3oool3000007@0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0d0?ooo`00<03o
ool00`000000oooo0?ooo`030?ooo`040000003oool0oooo000001`0oooo0P00001g0?ooo`030000
003oool0oooo01P0oooo00<000000?ooo`3oool0<`3oool00340oooo00<000000?ooo`3oool00P3o
ool010000000oooo0?ooo`00000I0?ooo`<0000000<0oooo0000003oool0MP3oool00`000000oooo
0?ooo`0I0?ooo`030000003oool0oooo0380oooo000b0?ooo`050000003oool0oooo0?ooo`000000
0P3oool00`000000oooo0?ooo`0D0?ooo`<00000O03oool00`000000oooo0?ooo`0I0?ooo`030000
003oool0oooo0380oooo000`0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0
0000503oool2000007l0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0a0?ooo`00
<@3oool2000000@0oooo0P00000B0?ooo`D00000O`3oool00`000000oooo0?ooo`0J0?ooo`030000
003oool0oooo0340oooo00190?ooo`800000Q03oool00`000000oooo0?ooo`0J0?ooo`800000<P3o
ool004H0oooo0`0000260?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0;`3oool0
04@0oooo100000270?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0;`3oool00440
oooo0`00002;0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0;P3oool003h0oooo
0`00002>0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0;@3oool003`0oooo0`00
002@0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0;@3oool003T0oooo0`000003
0?ooo`030000003oool0oooo08d0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0/
0?ooo`00603oool2000001d0oooo0P00002G0?ooo`030000003oool0oooo01d0oooo00<000000?oo
o`0000001P3oool500000080oooo0P00000N0?ooo`005`3oool010000000oooo0?ooo`00000I0?oo
o`<00000V@3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo00H0oooo00D000000?oo
o`3oool0oooo000000020?ooo`030000003oool0oooo01/0oooo000G0?ooo`040000003oool0oooo
000001L0oooo0P0000030?ooo`030000003oool0oooo09H0oooo00<000000?ooo`3oool0803oool0
0`000000oooo0?ooo`050?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?oo
o`0K0?ooo`005`3oool010000000oooo0?ooo`00000D0?ooo`<00000WP3oool00`000000oooo0?oo
o`0Q0?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000
003oool0oooo01/0oooo000G0?ooo`040000003oool0oooo00000180oooo0P00002Q0?ooo`030000
003oool0oooo0240oooo00<000000?ooo`3oool0103oool01@000000oooo0?ooo`3oool000000080
oooo00<000000?ooo`3oool06`3oool001P0oooo0P00000@0?ooo`<000000P3oool00`000000oooo
0?ooo`2N0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool00P3oool2000000@0oooo
0P00000N0?ooo`009`3oool300000900oooo5`00000R0?ooo`@00000:@3oool002D0oooo0P00001j
0?oooaT000001@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00H0MZ_d00<00000
0?ooo`3oool08`3oool00`000000oooo0?ooo`0W0?ooo`008P3oool300000080oooo00<000000?oo
o`3oool0E`3ooolP000000@0MZ_d00<0000007J[m01fZo@01P1fZo@00`000000MZ_d07J[m00507J[
m0030000001fZo@0MZ_d00H0MZ_d00<0000007J[m01fZo@01P1fZo@00`000000MZ_d07J[m00407J[
m0<000009@3oool00`000000oooo0?ooo`0V0?ooo`00803oool2000003/0oooo9000000407J[m003
0000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m003
0000001fZo@0MZ_d00H0MZ_d00<0000007J[m01fZo@01P1fZo@00`000000MZ_d07J[m00507J[m003
0000001fZo@0MZ_d00H0MZ_d00<0000007J[m01fZo@01@1fZo@010000000MZ_d07J[m01fZo@30000
0080MZ_d00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0V0?ooo`007P3oool200000280
oooo6`00000407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000
MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000
MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000
MZ_d07J[m00507J[m0030000001fZo@0MZ_d00H0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000
MZ_d07J[m00707J[m0030000001fZo@0MZ_d00D0MZ_d0`00000507J[m08000009@3oool00`000000
oooo0?ooo`0U0?ooo`007P3oool3000000030?ooo`000000000001h000000`1fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d
07J[m00607J[m0030000001fZo@0MZ_d00H0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d
07J[m00607J[m0030000001fZo@0MZ_d0080MZ_d0`0000000`1fZo@0000007J[m00607J[m0800000
9@3oool00`000000oooo0?ooo`0T0?ooo`007P3oool4000000<0MZ_d00<0000007J[m01fZo@00`1f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00607J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00H0MZ_d00<0000007J[m01fZo@00`1f
Zo@W000002<0oooo0P00000V0?ooo`005`3oool2000000D0oooo0P00000607J[m0030000001fZo@0
MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m08000001@1fZo@0
0`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@0
0`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@0
0`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@0
0`000000MZ_d07J[m00307J[m2P00000101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0
MZ_d00@0MZ_d0`00000807J[m0030000001fZo@0MZ_d00D0MZ_d0P00000T0?ooo`030000003oool0
oooo02<0oooo000F0?ooo`040000003oool0oooo000000<0oooo1@00000507J[m0030000001fZo@0
MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0
MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0
MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00207J[m2D00000101fZo@0
0`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@0
0`000000MZ_d07J[m00607J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@0
10000000MZ_d07J[m01fZo@3000000<0MZ_d00<0000007J[m01fZo@01P1fZo@00`000000MZ_d07J[
m00407J[m0030000001fZo@0000002@0oooo00<000000?ooo`3oool08P3oool001H0oooo00@00000
0?ooo`3oool000000`3oool00`000000oooo0?ooo`020?ooo`030000001fZo@0MZ_d00<0MZ_d00<0
000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d0080MZ_d9`00
000407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[
m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[
m00607J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[
m00607J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@3000000H0MZ_d00<0
000007J[m01fZo@01P1fZo@00`000000MZ_d07J[m00507J[m0800000903oool00`000000oooo0?oo
o`0R0?ooo`005P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00<0oooo5`00
000307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[
m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[
m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[
m00507J[m0030000001fZo@0MZ_d00H0MZ_d00@0000007J[m01fZo@0MZ_d0`0000000`1fZo@00000
07J[m00707J[m0030000001fZo@0MZ_d00H0MZ_d00<0000007J[m01fZo@01@1fZo@2000002@0oooo
00<000000?ooo`3oool08@3oool001H0oooo00@000000?ooo`3oool000000`3oool2000000D0oooo
00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d
00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d
00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d
0P00000607J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d1000000407J[m0030000001fZo@0MZ_d00<0MZ_d
5`00000T0?ooo`030000003oool0oooo0200oooo000G0?ooo`800000103oool00`000000oooo0?oo
o`050?ooo`030000001fZo@0MZ_d00<0MZ_d0P00000407J[m08000001@1fZo@00`000000MZ_d07J[
m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[
m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00307J[m30000001@1fZo@00`000000MZ_d07J[m00607J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m00000008P3oool200000280oooo000M0?ooo`030000003oool0oooo00H0oooo00<00000
07J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<00000
07J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d0080MZ_d<`000004
07J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m005
07J[m0@00000101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00H0MZ_d00<00000
07J[m01fZo@01P1fZo@00`000000MZ_d07J[m00507J[m0800000903oool00`000000oooo0?ooo`0O
0?ooo`007@3oool2000000P0oooo00<0000007J[m01fZo@00P1fZo@c000000@0MZ_d00<0000007J[
m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[
m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[
m01fZo@01P1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[
m01fZo@00`1fZo@3000000L0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00607J[
m0030000001fZo@0MZ_d00H0MZ_d00<0000007J[m01fZo@01@1fZo@2000002@0oooo00<000000?oo
o`3oool07P3oool001`0oooo00<000000?ooo`3oool02@3oool4000000<0MZ_d00<0000007J[m01f
Zo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01f
Zo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01f
Zo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01f
Zo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01f
Zo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01f
Zo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00<000000P1fZo@00`000000
MZ_d07J[m00507J[m0030000001fZo@0MZ_d00H0MZ_d00<0000007J[m01fZo@01P1fZo@00`000000
MZ_d07J[m00607J[m0030000001fZo@0MZ_d00D0MZ_d00<000000?ooo`3oool08P3oool00`000000
oooo0?ooo`0N0?ooo`00703oool2000000/0oooo00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@2000000D0MZ_d
0P00000507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d
07J[m00407J[m0<000001P1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00H0MZ_d
00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00607J[m0030000001fZo@0MZ_d00<0MZ_d
1000000T0?ooo`030000003oool0oooo01d0oooo000L0?ooo`030000003oool0oooo00/0oooo0P00
000507J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[
m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[
m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[
m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[
m00207J[m48000000`1fZo@2000002@0oooo00<000000?ooo`3oool0703oool001`0oooo00<00000
0?ooo`3oool03@3oool00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@00P1fZoA6000000@0MZ_d00<0000007J[m01fZo@0101fZo@3000000H0MZ_d00<00000
07J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00H0MZ_d00<00000
07J[m01fZo@01@1fZo@00`000000MZ_d07J[m00607J[m0030000001fZo@0MZ_d00D0MZ_d00<00000
0?ooo`3oool08@3oool2000001h0oooo000L0?ooo`030000003oool0000000h0oooo8`00000307J[
m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[
m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[
m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[
m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@00`00000207J[m0030000001fZo@0MZ_d
00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d
00H0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00607J[m0030000001fZo@0MZ_d
00@0MZ_d0P00000T0?ooo`030000003oool0oooo01/0oooo000L0?ooo`800000403oool00`000000
MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000
MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000
MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000
MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000
MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000
MZ_d07J[m00407J[m0<000001@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0
MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00607J[m0030000001fZo@0MZ_d00D0
MZ_d00<0000007J[m01fZo@01P1fZo@00`000000MZ_d07J[m00507J[m0800000903oool00`000000
oooo0?ooo`0J0?ooo`003`3oool2000000@0oooo0P0000050?ooo`030000003oool0oooo0100oooo
00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d
0P00000407J[m08000001@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d
00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d
00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d
00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00607J[m0030000001fZo@0MZ_d00<00000
0P1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0
1@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00H0MZ_d00<0000007J[m01fZo@0
1@1fZo@00`000000MZ_d07J[m00607J[m0030000001fZo@0MZ_d00D0MZ_d00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0J0?ooo`003P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo000000<0oooo00<000000?ooo`0000004P3oool00`000000MZ_d07J[m00307J[m003
0000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m003
0000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m003
0000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m003
0000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m003
0000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZoA=000002@0oooo00<000000?ooo`3o
ool06@3oool00140oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`3oool20000
01@0ooooI@0000000`1fZo@0000007J[m00607J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[
m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[
m01fZo@01P1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00H0MZ_d00<0000007J[
m01fZo@0101fZo@2000002<0oooo0P00000J0?ooo`003`3oool2000000<0oooo00@000000?ooo`3o
ool000000`3oool00`000000oooo0?ooo`0D0?ooo`030000001fZo@0MZ_d00<0MZ_d00<0000007J[
m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[
m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[
m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[
m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[
m01fZo@0101fZo@4000000D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[
m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[
m0030000001fZo@0MZ_d00H0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[
m0030000001fZo@0MZ_d00D0MZ_d0P00000R0?ooo`8000001`3oool500000080oooo0P00000:0?oo
o`003`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000<0oooo0P00000F0?oo
o`030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[
m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[
m0030000001fZo@0MZ_d00<0MZ_d0P00000507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[
m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[
m01fZo@0101fZo@010000000MZ_d07J[m01fZo@5000000H0MZ_d00<0000007J[m01fZo@01@1fZo@0
0`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@0
0`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00H0MZ_d00<0000007J[m01fZo@01@1fZo@0
0`000000MZ_d07J[m00607J[m0030000001fZo@0MZ_d00D0MZ_d00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?oo
o`070?ooo`003`3oool3000000<0oooo0P0000040?ooo`030000003oool0oooo01H0oooo00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<00000
07J[m01fZo@01@1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@0101fZo@3000000D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m005
07J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m005
07J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01P1fZo@00`000000MZ_d07J[m005
07J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01P1fZo@00`000000oooo0?ooo`0Q
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`07
0?ooo`006`3oool00`000000oooo0?ooo`0G0?ooo`030000001fZo@0MZ_d00<0MZ_d00<0000007J[
m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[
m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d0080MZ_dQ@00000S0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool2000000X0oooo000K0?ooo`80
00006@3ooolY000000@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m003
0000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0<0
00001@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01f
Zo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01f
Zo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00H0MZ_d00<0000007J[m01f
Zo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d0P00000S0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`090?ooo`00
6P3oool00`000000oooo0?ooo`0J0?ooo`030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0
0`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0
101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0
0`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0
101fZo@00`000000MZ_d0000000200000080MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01P1fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d0P00000R0?ooo`030000003oool0oooo00<0oooo
0P0000040?ooo`<000002@3oool001X0oooo00<000000?ooo`3oool06`3oool00`000000MZ_d07J[
m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@2000000@0MZ_d0P00
000507J[m0030000001fZo@0MZ_d00<0MZ_d0P00000507J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d0P00
000507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[
m00607J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[
m00507J[m08000008@3oool00`000000oooo0000000F0?ooo`006P3oool2000001d0oooo00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m0030000000307J[m0000000MZ_d00D0MZ_d00<00000
07J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<00000
07J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<00000
07J[m01fZo@01P1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d0P00000S
0?ooo`030000003oool0oooo01<0oooo000J0?ooo`030000003oool0oooo01d0oooo[P00000R0?oo
o`030000003oool0oooo01<0oooo000J0?ooo`030000003oool0oooo01h0oooo00<0000007J[m01f
Zo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01f
Zo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01f
Zo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d1000000207J[m003
0000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m003
0000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m003
0000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m003
0000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00607J[m003
0000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@200000280oooo00<000000?ooo`3o
ool04P3oool001X0oooo0P00000P0?ooo`800000101fZo@2000000@0MZ_d0P00000507J[m0030000
001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@2000000D0MZ_d00<0000007J[m01fZo@0
0`1fZo@00`000000MZ_d07J[m00407J[m0040000001fZo@0MZ_d07J[m0@000001@1fZo@2000000D0
MZ_d0P00000507J[m08000001P1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0
MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0
MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0
MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00607J[m0030000001fZo@0MZ_d00@0
MZ_d0P00000S0?ooo`030000003oool0oooo0140oooo000J0?ooo`030000003oool0oooo0240oooo
00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d
00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d
00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0<00000101fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d
07J[m00607J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@200000240oooo
0P00000C0?ooo`001@3oool500000080oooo0P0000040?ooo`8000001@3oool00`000000oooo0?oo
o`0S0?oooeT000000P1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0
000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0
000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0
000007J[m01fZo@01P1fZo@00`000000MZ_d07J[m00507J[m0030000003oool0oooo0240oooo00<0
00000?ooo`3oool0403oool000L0oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003o
ool0oooo00000080oooo00<000000?ooo`3oool00P3oool2000002D0oooo00<0000007J[m01fZo@0
0`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0
0`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0
0P1fZo@3000000D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000
001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000
001fZo@0MZ_d05<000008`3oool00`000000oooo0?ooo`0?0?ooo`001`3oool01@000000oooo0?oo
o`3oool000000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo02D0oooo00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m003
0000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@2000000D0MZ_d00<0000007J[m01f
Zo@00`1fZo@400000080MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m003
0000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m003
0000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m003
0000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m003
0000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m003
0000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01P1fZo@00`000000MZ_d07J[m00407J[m080
00008P3oool00`000000oooo0?ooo`0?0?ooo`001`3oool01@000000oooo0?ooo`3oool000000080
oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
02H0oooo00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d
00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0040000001fZo@0MZ_d
07J[m0<000001@1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<00000
07J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<00000
07J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d0P00000R
0?ooo`030000003oool0oooo00h0oooo00070?ooo`050000003oool0oooo0?ooo`0000000P3oool0
10000000oooo0?ooo`0000020?ooo`030000003oool0oooo0080oooo0P00000X0?ooobT000000P1f
Zo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1f
Zo@00`000000MZ_d07J[m00607J[m0030000001fZo@0MZ_d00D0MZ_d00<000000?ooo`3oool0803o
ool2000000l0oooo00060?ooo`800000103oool2000000@0oooo0P0000050?ooo`030000003oool0
oooo02P0oooo00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0
MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d000000020000000307J[m0000000
MZ_d00@0MZ_d00<0000007J[m01fZo@0G@00000307J[m0030000001fZo@0MZ_d00D0MZ_d00<00000
07J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00H0MZ_d00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`0=0?ooo`006@3oool00`000000oooo0?ooo`0Y0?oo
o`800000101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d0P00000307J[
m0<000001@1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[
m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[
m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[
m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[
m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[
m01fZo@09P00000R0?ooo`030000003oool0oooo00`0oooo000H0?ooo`800000;@3oool00`000000
MZ_d07J[m00207J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@3000000<0
MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00207J[m0030000001fZo@0MZ_d00@0
MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0
MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0
MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0
MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0
MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0
MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m08000008@3oool00`000000
oooo0?ooo`0<0?ooo`00603oool00`000000oooo0?ooo`0]0?ooob4000000P1fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d
07J[m00607J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000oooo
0?ooo`0P0?ooo`030000003oool0oooo00/0oooo000H0?ooo`030000003oool0oooo02h0oooo00<0
000007J[m01fZo@00P1fZo@00`000000MZ_d07J[m00207J[m0<000001@1fZo@00`000000MZ_d07J[
m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m0000000?@00000207J[m0030000001f
Zo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001f
Zo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001f
Zo@0MZ_d00H0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m08000008P3o
ool00`000000oooo0?ooo`0:0?ooo`00603oool200000300oooo00<0000007J[m01fZo@00P1fZo@4
00000080MZ_d0P00000507J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@0
0`000000MZ_d07J[m00207J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@0
0`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@0
0`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@0
0`000000MZ_d07J[m00n000000<0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000oooo0?ooo`0O
0?ooo`800000303oool001P0oooo00<000000?ooo`3oool0<03oool00`000000MZ_d07J[m0020000
000307J[m0000000MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[
m0030000001fZo@0MZ_d0080MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[
m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[
m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[
m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00507J[
m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[
m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00607J[
m0030000001fZo@0MZ_d00d000008P3oool00`000000oooo0?ooo`090?ooo`00603oool00`000000
oooo0?ooo`0`0?oooa`000000P1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0
MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0
MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0
MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0
MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0
MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0
MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000003oool0oooo0200
oooo00<000000?ooo`3oool0203oool001L0oooo0`00000^0?ooo`<000000P3oool00`000000MZ_d
07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d
07J[m00307J[m0030000001fZo@0000002h000000P1fZo@00`000000MZ_d07J[m00407J[m0030000
001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000
001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000
001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00607J[m0030000
001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@200000240oooo00<000000?ooo`3oool0
203oool001L0oooo00<000000?ooo`3oool0:`3oool3000000H0oooo00<0000007J[m01fZo@00`1f
Zo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1f
Zo@00`000000MZ_d07J[m00207J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d038000000`1fZo@00`000000MZ_d07J[
m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[
m00507J[m0030000001fZo@0MZ_d00D0MZ_d0P00000P0?ooo`8000002@3oool000<0oooo1@000002
0?ooo`800000103oool2000000D0oooo00<000000?ooo`3oool0:03oool3000000X0oooo00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m00207J[m0030000001fZo@0MZ_d00<0MZ_d00<00000
07J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@0;P00000L0?ooo`<0000000<0oooo0000003oool0203oool000D0oooo00D000000?oo
o`3oool0oooo000000020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00P3o
ool2000002H0oooo0`00000>0?oooa/000000P1fZo@00`000000MZ_d07J[m00307J[m0030000001f
Zo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001f
Zo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001f
Zo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001f
Zo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001f
Zo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001f
Zo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m08000005`3o
ool4000000@0oooo00<000000?ooo`3oool01`3oool000D0oooo00<000000?ooo`3oool0103oool0
10000000oooo0?ooo`0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool08P3o
ool300000180oooo00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001f
Zo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d0000000V00000080MZ_d00<0
000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0
000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0
000007J[m01fZo@0101fZo@2000001@0oooo0`0000080?ooo`030000003oool0oooo00L0oooo0005
0?ooo`030000003oool0oooo0080oooo0P0000030?ooo`040000003oool0oooo000000@0oooo00<0
00000?ooo`3oool07`3oool3000001H0oooo00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[
m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[
m00207J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d0000
000Z00000080MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001f
Zo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001f
Zo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@200000100oooo0`00000<0?ooo`030000003o
ool0oooo00H0oooo00050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool0
10000000oooo0?ooo`0000030?ooo`8000007`3oool2000001X0oooo00<0000007J[m01fZo@00`1f
Zo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1f
Zo@00`000000MZ_d07J[m00207J[m0800000101fZo@00`000000MZ_d07J[m00407J[m0030000001f
Zo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001f
Zo@0MZ_d0080MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001f
Zo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001f
Zo@0MZ_d02L000000`1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0
00000?ooo`3oool02`3oool3000000l0oooo00<000000?ooo`3oool01P3oool000@0oooo0P000004
0?ooo`<000000`3oool2000000D0oooo00<000000?ooo`3oool06P3oool3000001d0oooo8@000002
07J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m004
07J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00P1fZo@00`000000MZ_d07J[m004
07J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m004
07J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m005
07J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m005
07J[m0030000001fZo@0MZ_d01D00000203oool400000180oooo00<000000?ooo`3oool01P3oool0
01H0oooo00<000000?ooo`3oool0603oool300000240oooo00<0000007J[m01fZo@00`1fZo@00`00
0000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`00
0000MZ_d07J[m00307J[m0030000001fZo@00000020000000P1fZo@00`000000MZ_d07J[m00407J[
m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[
m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[
m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[
m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[
m0800000103oool3000001H0oooo00<000000?ooo`3oool01P3oool001H0oooo0P00000F0?ooo`<0
00009@3oool2000000@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m003
0000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00207J[m003
0000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m003
0000001fZo@0MZ_d00@0MZ_d00<0000007J[m00000008P00000307J[m0030000001fZo@0MZ_d00@0
MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0
MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0
MZ_d00<0000007J[m01fZo@01@1fZo@00`000000oooo00000002000001T0oooo00<000000?ooo`3o
ool01P3oool001H0oooo00<000000?ooo`3oool04P3oool3000002X0oooo0`00000207J[m0030000
001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000
001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00P1fZo@00`000000MZ_d07J[m00407J[m0030000
001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000
001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000
001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00N000000<0MZ_d
00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d
00<0000007J[m01fZo@01@1fZo@00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00H0oooo
000F0?ooo`030000003oool0oooo00l0oooo0`00000^0?ooo`030000001fZo@0000001d000000P1f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d020000000`1fZo@00`000000oooo0?oo
o`0J0?ooo`030000003oool0oooo00H0oooo000F0?ooo`030000003oool0oooo00`0oooo0`00000b
0?ooo`030000001fZo@0MZ_d0080MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m003
07J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d0000000P
00000080MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0
MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0
MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0
MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0
MZ_d00D0MZ_d00<0000007J[m01fZo@01@00000L0?ooo`030000003oool0oooo00D0oooo000E0?oo
o`8000002`3oool3000003H0oooo00<0000007J[m01fZo@00P1fZo@2000000@0MZ_d0P00000407J[
m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00207J[
m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[
m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@07000000207J[m0030000001fZo@0MZ_d
00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d
00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d
00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000003oool0oooo
01T0oooo00<000000?ooo`3oool01@3oool001H0oooo00<000000?ooo`3oool01`3oool2000003X0
oooo3`00000207J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000
MZ_d07J[m00207J[m0800000101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0
MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0
MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d01d0
00000`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01f
Zo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<000000?ooo`3o
ool0603oool00`000000oooo0?ooo`050?ooo`005@3oool2000000H0oooo0`00000m0?ooo`030000
001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d0000000G00000080MZ_d
00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d
00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d
00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d
00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d01l00000
0`1fZo@00`000000MZ_d07J[m00507J[m08000006@3oool00`000000oooo0?ooo`050?ooo`005@3o
ool00`000000oooo0?ooo`020?ooo`<00000@@3oool00`000000MZ_d07J[m00307J[m0030000001f
Zo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00P1fZo@00`000000MZ_d07J[m00307J[m0030000001f
Zo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d0000000J00000080MZ_d00<0
000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00h00000603o
ool00`000000oooo0?ooo`050?ooo`0000<0oooo0000000000000P0000030?ooo`800000103oool2
000000D0oooo00<000000?ooo`0000000P0000150?ooo`030000001fZo@0MZ_d00<0MZ_d00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m00207J[m0030000001fZo@0MZ_d00<0MZ_d00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d0080MZ_d00<00000
07J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@06`00000307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@0
0`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@01@1fZo@0
0`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@0
0`000000MZ_d07J[m00507J[m08000005`3oool00`000000oooo0?ooo`050?ooo`0000<0oooo0000
003oool0103oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000@0oooo0P00
00190?oooaD000000P1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0
000007J[m01fZo@00P1fZo@2000000D0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[
m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@07P00000207J[m0030000001f
Zo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001f
Zo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000oooo0?ooo`0F0?ooo`030000003o
ool0oooo00@0oooo00020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo04P0oooo00<0000007J[m01fZo@0
0`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d0080MZ_d00<0000007J[m01fZo@0
6@00000207J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00207J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@05`00000307J[m0030000
001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@2000001L0oooo00<000000?ooo`3oool0
103oool000<0oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`3oool0103oool2000004T0oooo0P00000407J[m0030000001fZo@0MZ_d0080
MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0
MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d01<0
00000P1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01f
Zo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01f
Zo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01f
Zo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d01D000005P3oool00`000000
oooo0?ooo`040?ooo`0000D0oooo0000003oool0oooo000000020?ooo`040000003oool0oooo0000
0080oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`180?ooo`P000000P1fZo@0
0`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00P1fZo@0
0`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@0
0`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m00000006`000002
07J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m004
07J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m005
07J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m004
07J[m08000005@3oool00`000000oooo0?ooo`040?ooo`000P3oool2000000@0oooo0P0000040?oo
o`8000002P3oool00`000000oooo0?ooo`180?ooo`030000001fZo@0MZ_d0080MZ_d00<0000007J[
m00000004@00000207J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`00
0000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`00
0000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`00
0000MZ_d07J[m00407J[m0030000001fZo@0MZ_d01H000000P1fZo@00`000000MZ_d07J[m00407J[
m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[
m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@2000001D0oooo00<000000?oo
o`3oool0103oool001/0oooo00<000000?ooo`3oool0A`3oool00`000000MZ_d07J[m00307J[m003
0000001fZo@0MZ_d0080MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m003
0000001fZo@0000001T000000P1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0
MZ_d0P00000507J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000
MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000
MZ_d07J[m00F000000<0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m003
0000001fZo@0MZ_d00@0MZ_d0P00000D0?ooo`030000003oool0oooo00@0oooo000L0?ooo`800000
B03oool00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d0080MZ_d0P00000407J[m0030000
001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00P1fZo@00`000000MZ_d07J[m00407J[m0030000
001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00D00000080MZ_d
00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d
00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d
00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d01P00000
0`1fZo@00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00@0oooo000N0?ooo`030000003o
ool0oooo04H0oooo3`00000207J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00P1f
Zo@2000000@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001f
Zo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001f
Zo@0MZ_d01@000000P1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0
000007J[m01fZo@01@00000D0?ooo`030000003oool0oooo00<0oooo000O0?ooo`030000003oool0
oooo04H0oooo00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0
0000014000000P1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<00000
07J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@05P00000207J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@0
0`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@0
0`000000MZ_d07J[m00407J[m08000004`3oool00`000000oooo0?ooo`030?ooo`00803oool00`00
0000oooo0?ooo`160?ooo`800000101fZo@2000000@0MZ_d00<0000007J[m01fZo@00P1fZo@00`00
0000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m00000006@00000207J[
m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[
m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00507J[
m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@05P00000307J[m0030000001fZo@0MZ_d
00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000003oool0oooo
0140oooo00<000000?ooo`3oool00`3oool00240oooo00<000000?ooo`3oool0A`3oool900000080
MZ_d00<0000007J[m01fZo@00P1fZo@2000000@0MZ_d0P00000407J[m0030000001fZo@0MZ_d0080
MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0
MZ_d00<0000007J[m01fZo@05000000207J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01f
Zo@00`1fZo@2000000D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m003
0000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00H000000<0
MZ_d00<000000?ooo`3oool0403oool00`000000oooo0?ooo`030?ooo`008P3oool2000004P0oooo
00<0000007J[m01fZo@00`1fZo@00`000000MZ_d0000000A00000080MZ_d00<0000007J[m01fZo@0
0P1fZo@2000000@0MZ_d0P00000407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0
0`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0
5@00000207J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d
07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@00000A0?ooo`030000
003oool0oooo00<0oooo000T0?ooo`030000003oool0oooo04H0oooo00<0000007J[m01fZo@00`1f
Zo@00`000000MZ_d07J[m00207J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1f
Zo@00`000000MZ_d0000000A00000080MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00>00000080MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0030000001f
Zo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00507J[m0030000001f
Zo@0MZ_d00@0MZ_d0P00000@0?ooo`030000003oool0oooo00<0oooo000U0?ooo`030000003oool0
oooo04H0oooo00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00207J[m0030000001fZo@0
MZ_d0080MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0
MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d0000000C00000080MZ_d00<00000
07J[m01fZo@0101fZo@00`000000MZ_d07J[m00207J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@05P00000307J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@0
0`000000MZ_d07J[m00407J[m0030000003oool0oooo00h0oooo00<000000?ooo`3oool00`3oool0
02H0oooo00<000000?ooo`3oool0AP3oool>00000080MZ_d00<0000007J[m01fZo@00`1fZo@00`00
0000MZ_d07J[m00307J[m0030000001fZo@0MZ_d0080MZ_d00<0000007J[m01fZo@0101fZo@00`00
0000MZ_d07J[m00207J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`00
0000MZ_d07J[m00=00000080MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[
m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[
m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00H0000
00<0MZ_d00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`020?ooo`009`3oool2000004L0
oooo00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00207J[m0030000001fZo@000000140
00000P1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d0080MZ_d0P00000407J[m003
0000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m003
0000001fZo@0000001@000000P1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0
MZ_d0P00000507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000
MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@00000?0?ooo`03
0000003oool0oooo0080oooo000Y0?ooo`030000003oool0oooo04D0oooo00<0000007J[m01fZo@0
0`1fZo@00`000000MZ_d07J[m00207J[m0030000001fZo@0MZ_d0080MZ_d00<0000007J[m01fZo@0
0`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@00000018000000P1fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d
07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00F00000080MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00307J[m0030000
001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00407J[m0800000
3P3oool00`000000oooo0?ooo`020?ooo`00:P3oool00`000000oooo0?ooo`150?ooo`T000000P1f
Zo@00`000000MZ_d07J[m00207J[m0800000101fZo@2000000@0MZ_d00<0000007J[m01fZo@00P1f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m00000004`00
000207J[m0030000001fZo@0MZ_d00<0MZ_d0P00000407J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0
000007J[m01fZo@03`00000207J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@1f
Zo@00`000000MZ_d07J[m00407J[m0030000003oool0oooo00`0oooo00<000000?ooo`3oool00P3o
ool002/0oooo00<000000?ooo`3oool0A@3oool00`000000MZ_d07J[m00307J[m0030000001fZo@0
0000014000000P1fZo@00`000000MZ_d07J[m00207J[m08000001@1fZo@00`000000MZ_d07J[m002
07J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m003
07J[m0030000001fZo@0MZ_d00d000000P1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0
MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0
MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00G000000<0MZ_d00<00000
0?ooo`3oool02`3oool00`000000oooo0?ooo`020?ooo`00;03oool2000004H0oooo0P00000407J[
m0030000001fZo@0MZ_d0080MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[
m0030000001fZo@00000014000000P1fZo@00`000000MZ_d07J[m00307J[m0800000101fZo@00`00
0000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`00
0000MZ_d0000000D000000<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[
m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[
m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@00000<0?ooo`030000003oool0oooo
0080oooo000^0?ooo`030000003oool0oooo04D0oooo0`00000207J[m0030000001fZo@0MZ_d0080
MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00207J[m0030000001fZo@0MZ_d00<0
MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0000000`0
00000P1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01f
Zo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01f
Zo@0101fZo@00`000000MZ_d07J[m00?00000080MZ_d00<0000007J[m01fZo@01@1fZo@00`000000
MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000
MZ_d07J[m00407J[m0800000303oool00`000000oooo0?ooo`010?ooo`00;`3oool00`000000oooo
0?ooo`150?ooo`030000001fZo@00000010000000P1fZo@00`000000MZ_d07J[m00307J[m0030000
001fZo@0MZ_d0080MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000
001fZo@0MZ_d00@0MZ_d00<0000007J[m00000004`00000207J[m0030000001fZo@0MZ_d00<0MZ_d
0P00000507J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d01H000000`1fZo@00`000000MZ_d07J[m00507J[m0030000
001fZo@0MZ_d00@0MZ_d00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`010?ooo`00<03o
ool00`000000oooo0?ooo`140?ooo`030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00P1f
Zo@00`000000MZ_d07J[m00307J[m0030000001fZo@0000000/000000P1fZo@00`000000MZ_d07J[
m00307J[m0030000001fZo@0MZ_d00<0MZ_d0P00000407J[m0030000001fZo@0MZ_d00<0MZ_d00<0
000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00h000000P1f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00@000000<0MZ_d00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`010?ooo`00<@3oool2000004D0oooo00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m002
07J[m0800000101fZo@00`000000MZ_d07J[m00207J[m0030000001fZo@0MZ_d00<0MZ_d00<00000
07J[m00000004P00000207J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@0
0`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@0
0`000000MZ_d07J[m00>00000080MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m004
07J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m005
07J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@01@00000:0?ooo`030000003oool0
oooo0040oooo000c0?ooo`030000003oool0oooo04<0oooo3`00000207J[m0030000001fZo@0MZ_d
0080MZ_d0P00000407J[m08000000`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d
00@0MZ_d00<0000007J[m00000003000000207J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[
m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[
m01fZo@0101fZo@00`000000MZ_d07J[m00E000000<0MZ_d00<0000007J[m01fZo@0101fZo@00`00
0000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo0040oooo000d0?ooo`030000003oool0oooo04<0
oooo00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@000000140
000000<0MZ_d000000000000101fZo@2000000@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000
MZ_d07J[m00307J[m0030000001fZo@0MZ_d01@000000P1fZo@00`000000MZ_d07J[m00407J[m003
0000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m003
0000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@03`00000307J[m0030000001fZo@0MZ_d00D0
MZ_d00<0000007J[m01fZo@0101fZo@00`000000oooo0?ooo`070?ooo`030000003oool0oooo0040
oooo000e0?ooo`030000003oool0oooo04<0oooo0P00000407J[m08000000`1fZo@00`000000MZ_d
07J[m00307J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d
0000000;00000080MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000
001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000
001fZo@0MZ_d00h000000P1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d
00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d
00<0000007J[m01fZo@04000000207J[m0800000203oool00`000000oooo0?ooo`010?ooo`00=P3o
ool00`000000oooo0?ooo`140?ooo`T0000000<0MZ_d0000001fZo@0101fZo@00`000000MZ_d07J[
m00307J[m0030000001fZo@0MZ_d0080MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[
m00307J[m0030000001fZo@0000000`000000P1fZo@00`000000MZ_d07J[m00307J[m0030000001f
Zo@0MZ_d00<0MZ_d0P00000407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00>00000080MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[
m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[
m00407J[m0040000001fZo@0MZ_d07J[m0@000002@3oool100000040oooo0@3oool003L0oooo0P00
00150?ooo`030000001fZo@0MZ_d00<0MZ_d00<0000007J[m00000004000000207J[m0030000001f
Zo@0MZ_d00<0MZ_d00<0000007J[m01fZo@00P1fZo@00`000000MZ_d07J[m00307J[m0030000001f
Zo@0MZ_d00<0MZ_d00<0000007J[m01fZo@04`00000207J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m01fZo@03P00000307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101f
Zo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<000000?ooo`3oool01P3o
ool100000040oooo0@3oool003T0oooo00<000000?ooo`3oool0@`3oool00`000000MZ_d07J[m003
07J[m0050000001fZo@0MZ_d07J[m00000001@1fZo@00`000000MZ_d07J[m00307J[m0030000001f
Zo@0000000/000000P1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d0080MZ_d00<0
000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m00000003@00000207J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@03`00
000307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@2000000L0oooo0@00
00010?ooo`40oooo000j0?ooo`030000003oool0oooo04<0oooo2@0000000`1fZo@0000000000004
07J[m0030000001fZo@0MZ_d0080MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m003
07J[m0030000001fZo@0000000/000000P1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0
MZ_d00<0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0
MZ_d00@0MZ_d00<0000007J[m01fZo@03P00000207J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@00`1fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00@0MZ_d00<00000
07J[m01fZo@03`00000307J[m0030000003oool0oooo00D0oooo0@0000010?ooo`40oooo000k0?oo
o`030000003oool0oooo0480oooo00<000000?ooo`3oool01P3oool;00000080MZ_d00<0000007J[
m01fZo@00`1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d0080MZ_d00<0000007J[
m01fZo@00`1fZo@00`000000MZ_d0000000C00000080MZ_d00<0000007J[m01fZo@00`1fZo@00`00
0000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`00
0000MZ_d07J[m00>00000080MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00307J[
m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m0050000
00H0oooo0@0000010?ooo`40oooo000l0?ooo`800000@P3oool00`000000oooo0?ooo`0A0?oooa80
00000P1fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d0080MZ_d00<0000007J[m01f
Zo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00d000000P1fZo@00`000000
MZ_d07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000
MZ_d07J[m00407J[m0030000001fZo@0MZ_d00l000000P1fZo@00`000000MZ_d07J[m00507J[m003
0000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000oooo0?ooo`030?ooo`40
00000@3oool10?ooo`00?P3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo02<0oooo
3@0000000`1fZo@000000000000507J[m0030000001fZo@0MZ_d0080MZ_d00<0000007J[m01fZo@0
101fZo@00`000000MZ_d07J[m00307J[m0030000001fZo@0MZ_d00h000000P1fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00407J[m0040000001fZo@0MZ_d07J[m0l000000P1fZo@00`000000MZ_d07J[m00507J[m003
0000003oool0oooo0080oooo0@0000010?ooo`40oooo000o0?ooo`030000003oool0oooo03h0oooo
00<000000?ooo`3oool0<03oool<00000080MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00207J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d
07J[m00>00000080MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000
001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@0101fZo@010000000MZ_d07J[m01fZo@<000000@0
oooo0@0000010?ooo`00@03oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo03`0oooo
3@00000207J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1fZo@00`000000MZ_d
07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@03P00000207J[m0030000
001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000
001fZo@0MZ_d00@0MZ_d0P0000030?ooo`4000000@3oool00440oooo0P00000m0?ooo`030000003o
ool0oooo04T0oooo3P00000207J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@00`1f
Zo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0000007J[m01fZo@03`00
000207J[m0030000001fZo@0MZ_d00D0MZ_d00<0000007J[m01fZo@0101fZo@01@000000oooo0?oo
o`3oool000000040oooo00130?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool0E`3o
ool>00000080MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00307J[m0030000001f
Zo@0MZ_d00@0MZ_d00<0000007J[m01fZo@01@1fZo@00`000000MZ_d07J[m00?000000<0MZ_d00@0
00000?ooo`3oool000000@3oool004@0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?oo
o`1U0?ooo`h000000P1fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0MZ_d00@0MZ_d00<0
000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00507J[m0030000001fZo@0MZ_d00D000000@3o
ool100000040oooo00150?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool0L`3oool>
000000<0MZ_d00<0000007J[m01fZo@0101fZo@00`000000MZ_d07J[m00407J[m0030000001fZo@0
MZ_d00@0MZ_d00<000000?ooo`0000000@3oool004H0oooo0P00000h0?ooo`030000003oool0oooo
0840oooo3`00000307J[m0030000001fZo@0MZ_d00@0MZ_d0@0000010?ooo`40000000180?ooo`03
0000003oool0oooo03D0oooo00<000000?ooo`3oool0T03oool800000080MZ_d0`00000004T0oooo
00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`2H0?ooo`D00000001:0?ooo`030000003o
ool0oooo0380oooo00<000000?ooo`3oool0W03oool200000000B`3oool00`000000oooo0?ooo`0a
0?ooo`030000003oool0oooo09P0oooo100000020?ooo`00C03oool200000340oooo00<000000?oo
o`3oool0U03oool4000000H0oooo001>0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3o
ool0T03oool4000000X0oooo001?0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0
S03oool4000000h0oooo001@0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0R03o
ool400000180oooo001A0?ooo`800000;03oool00`000000oooo0?ooo`250?ooo`<000005P3oool0
05<0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`210?ooo`@000006@3oool005@0
oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`1m0?ooo`@000007@3oool005D0oooo
00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1i0?ooo`@000008@3oool005H0oooo0P00
000W0?ooo`030000003oool0oooo07D0oooo1000000U0?ooo`00F03oool00`000000oooo0?ooo`0T
0?ooo`030000003oool0oooo0740oooo1000000Y0?ooo`00F@3oool00`000000oooo0?ooo`0S0?oo
o`030000003oool0oooo06h0oooo0`00000]0?ooo`00FP3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo06X0oooo1000000`0?ooo`00F`3oool200000280oooo00<000000?ooo`3oool0
IP3oool4000003@0oooo001M0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0HP3o
ool4000003P0oooo001N0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0GP3oool4
000003`0oooo001O0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0FP3oool40000
0400oooo001P0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0E`3oool3000004@0
oooo001Q0?ooo`800000703oool00`000000oooo0?ooo`1C0?ooo`@00000A`3oool006<0oooo00<0
00000?ooo`3oool06@3oool00`000000oooo0?ooo`1?0?ooo`@00000B`3oool006@0oooo00<00000
0?ooo`3oool0603oool00`000000oooo0?ooo`1;0?ooo`@00000C`3oool006D0oooo00<000000?oo
o`3oool05`3oool00`000000oooo0?ooo`170?ooo`@00000D`3oool006H0oooo0P00000G0?ooo`03
0000003oool0oooo04<0oooo1000001G0?ooo`00J03oool00`000000oooo0?ooo`0D0?ooo`030000
003oool0oooo0400oooo0`00001K0?ooo`00J@3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo03`0oooo1000001N0?ooo`00JP3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0
oooo03P0oooo1000001R0?ooo`00J`3oool200000180oooo00<000000?ooo`3oool0=03oool40000
06H0oooo001]0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0<@3oool4000006X0
oooo001^0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0;@3oool4000006h0oooo
001_0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0:P3oool300000780oooo001`
0?ooo`800000303oool00`000000oooo0?ooo`0V0?ooo`@00000M@3oool00780oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`0R0?ooo`@00000N@3oool007<0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`0N0?ooo`@00000O@3oool007@0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`0J0?ooo`@00000P@3oool007D0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`0F0?ooo`@00000Q@3oool007H0oooo0P0000060?ooo`030000003oool0
oooo01<0oooo0`0000290?ooo`00N03oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00l0oooo1000002<0?ooo`00N@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00/0
oooo1000002@0?ooo`00NP3oool01@000000oooo0?ooo`3oool0000000T0oooo1000002D0?ooo`00
N`3oool2000000030?ooo`000000oooo00@0oooo1000002H0?ooo`00O@3oool2000000030?ooo`00
0000000000800000W03oool007h0oooo0P00002P0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
\
\>"],
  ImageRangeCache->{{{129.938, 359.313}, {427.188, 241.375}} -> {-0.657809, \
1.09514, 0.00358552, 0.00358552}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  SurfaceGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(c\_S = \(4\ \[Pi]\ \[Mu]\)\/\(1\/2 - 0.577 - Log[reNo\/8]\);\),
      
      FontColor->GrayLevel[0.666667]], "\[IndentingNewLine]", 
    StyleBox[\(c\_V\  = \(\[Mu]\ 2\ \[Pi]\ 0.1\)\/0.1;\),
      FontColor->GrayLevel[0.666667]], "\[IndentingNewLine]", 
    RowBox[{
      StyleBox["Print",
        FontColor->GrayLevel[0.666667]], 
      StyleBox["[",
        FontColor->GrayLevel[0.666667]], 
      RowBox[{
        StyleBox["CForm",
          FontColor->GrayLevel[0.666667]], 
        StyleBox["[",
          FontColor->GrayLevel[0.666667]], \(c\_S\), "]"}], 
      "]"}], "\[IndentingNewLine]", \(Print[CForm[c\_V]]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[
      StyleBox[\(\((4*Pi*\[Mu])\)/\((\(-0.07699999999999996\)\  - \ 
              Log \((reNo/8. )\))\)\),
        ShowStringCharacters->True,
        NumberMarks->True],
      CForm[ 
        Times[ 4, Pi, \[Mu], 
          Power[ 
            Plus[ -.076999999999999957, 
              Times[ -1, 
                Log[ 
                  Times[ 
                    Rational[ 1, 8], reNo]]]], -1]]],
      Editable->True,
      AutoDelete->True]], "Print"],

Cell[BoxData[
    InterpretationBox[
      StyleBox[\(6.283185307179586*\[Mu]\),
        ShowStringCharacters->True,
        NumberMarks->True],
      CForm[ 
        Times[ 6.2831853071795862, \[Mu]]],
      Editable->True,
      AutoDelete->True]], "Print"]
}, Open  ]]
},
FrontEndVersion->"5.2 for Microsoft Windows",
ScreenRectangle->{{0, 1360}, {0, 564}},
WindowSize->{823, 532},
WindowMargins->{{180, Automatic}, {Automatic, 22}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 391, 8, 87, "Input"],

Cell[CellGroupData[{
Cell[2170, 63, 89, 1, 30, "Input"],
Cell[2262, 66, 328, 4, 22, "Message"],
Cell[2593, 72, 328, 4, 22, "Message"],
Cell[2924, 78, 328, 4, 22, "Message"],
Cell[3255, 84, 333, 5, 22, "Message"],
Cell[3591, 91, 122283, 2446, 242, 51958, 1573, "GraphicsData", "PostScript", \
"Graphics"],
Cell[125877, 2539, 137, 3, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[126051, 2547, 664, 16, 127, "Input"],
Cell[126718, 2565, 496, 15, 25, "Print"],
Cell[127217, 2582, 259, 8, 25, "Print"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

